GNU bug report logs - #48325
update of julia to 1.6.1

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jean-Baptiste Volatier <jbv@HIDDEN>; dated Mon, 10 May 2021 00:43:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 6 Jun 2021 21:26:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 06 17:26:46 2021
Received: from localhost ([127.0.0.1]:54058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lq0I9-0000Mj-Kc
	for submit <at> debbugs.gnu.org; Sun, 06 Jun 2021 17:26:46 -0400
Received: from mail-ed1-f46.google.com ([209.85.208.46]:43535)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lq0I4-0000MR-7O
 for 48325 <at> debbugs.gnu.org; Sun, 06 Jun 2021 17:26:43 -0400
Received: by mail-ed1-f46.google.com with SMTP id s6so17752660edu.10
 for <48325 <at> debbugs.gnu.org>; Sun, 06 Jun 2021 14:26:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=+uZ7XUxytGHXPjXDolmlrZ9aUuWO7cYfVYgOSW1oG6k=;
 b=l23zkqwvH5teMnDcv0fs4A62L05xC/kxkstDaXfzeNKH2JWLuHH3TFO51SuBqnYq8L
 1GFXXFGILszmOxdTb057d3Mels/pH6+R1vhvasTZ2JoYkfw4UX3AQEdlmmUTw06B/ehF
 H0fH6VkGGAykVCEgzwaVJsRLFDUvbIwaX41GaZF1w5AsmhwiAbba+AspnEoQVE4Vnt5d
 sy24U+0u68e5/iHkOKKRhw1+8F8jas7ksrRU7n5q/XBpda7DQ+Epu1eX8t2vqEYO6b3m
 W57GjHBxSOyZFc+lNszuiFV4gXOeSf7N0tOFZeFpsTkDLvW8ljrCZWZbZy5IDfKQbjqR
 ojHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+uZ7XUxytGHXPjXDolmlrZ9aUuWO7cYfVYgOSW1oG6k=;
 b=Imfm8ZSFLDq44PhSgH7+3sYqhitYQkA4GcKNFhOOzbpMAY5DxwHTPw+teILin45EgL
 NeBNysLZ55uUBQoyoQarQ24uojcjVdXFp3WNLtVl1tZeqRYkZYymSuRBEbSwCqSWCiDV
 SWO6XOkUBq8J83n/ctMYjj+mJZ3DYECEp7PFeJPz88ApIQQXnuNQjnHJ1HDY4XzKSLzE
 tmG+/kh8n2fhyCGeuAwwGAn4coFwrkxUfa8EFxSi3OKY5hFkt9p/J0KM36qApQPA+7EU
 I/FwIb+O68wEhNRbsqDNsiX1KfXjsjhPIKiVJ5JPbJXE+VXm9/Pt7fULssVNLTi4QXZ/
 mXFw==
X-Gm-Message-State: AOAM531cLz/tzTeFwor6V8GGmK2BIOXevKwrDKlk2yyKQPocIYM0hTlO
 ryBdMf5LxT4Iqe9M+SGq3h0=
X-Google-Smtp-Source: ABdhPJzfc5XZFgnnTQXSyHZS1qDp6Q/D9a/jcE48Wxs6qk8iyLNQ65+wKS0GBXLpnUn+CC7ZxSGwlA==
X-Received: by 2002:a50:8fc3:: with SMTP id y61mr16345804edy.107.1623014794398; 
 Sun, 06 Jun 2021 14:26:34 -0700 (PDT)
Received: from guix (host-79-17-142-89.retail.telecomitalia.it. [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id s2sm6892785edu.89.2021.06.06.14.26.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 06 Jun 2021 14:26:33 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#48325] update of julia to 1.6.1
In-Reply-To: <87pmx0kn5p.fsf_-_@HIDDEN>
References: <To5xE-KO2rEvaVw0ua4LA3k6uVXhNaulSKlW2xy7nOSNwVGMK4RrOGWJegbXwRTec-5cGikmOmq2vn8Brx7aEA==@pm.me>
 <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <87mtsy67rv.fsf@HIDDEN>
 <87pmx0kn5p.fsf_-_@HIDDEN>
Date: Sun, 06 Jun 2021 23:26:32 +0200
Message-ID: <87zgw2znuf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimoun <zimon.toutoune@HIDDEN>, Jean-Baptiste Volatier <jbv@HIDDEN>,
 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello!
>
Hi,
> [...]
>
> Should we go for a v4 that addresses these two remaining issues?
>
> I didn=E2=80=99t follow closely but I=E2=80=99m happy to apply the patche=
s when the
> three of you deem it ready.
>

There's a new issue we should address, that is our pre-built julia
binaries are not working on my x200 anymore.  I get:

> ERROR: Your CPU does not support the CX16 instruction, which is
> required by this version of Julia!  This is often due to running
> inside of a virtualized environment.  Please read
> https://docs.julialang.org/en/v1/devdocs/sysimg/ for more.

I should check if there's some cpu-related optimization that should be
disabled, but don't have much time those days.

Also, the number of julia packages is increasing so we should check all
new packages still work with this patches.

Anybody can take a look at this?  I'll be available in two months hopefully
Thanks, Nicol=C3=B2




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 5 Jun 2021 21:38:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 17:38:19 2021
Received: from localhost ([127.0.0.1]:50227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpdzn-0005Q3-5m
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 17:38:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lpdzl-0005Pr-OX
 for 48325 <at> debbugs.gnu.org; Sat, 05 Jun 2021 17:38:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59862)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lpdzg-00084d-DQ; Sat, 05 Jun 2021 17:38:12 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=54048 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lpdzg-00037t-4m; Sat, 05 Jun 2021 17:38:12 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
Subject: Re: bug#48325: update of julia to 1.6.1
References: <To5xE-KO2rEvaVw0ua4LA3k6uVXhNaulSKlW2xy7nOSNwVGMK4RrOGWJegbXwRTec-5cGikmOmq2vn8Brx7aEA==@pm.me>
 <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <87mtsy67rv.fsf@HIDDEN>
Date: Sat, 05 Jun 2021 23:38:10 +0200
In-Reply-To: <87mtsy67rv.fsf@HIDDEN>
 (=?utf-8?Q?=22Nicol=C3=B2?= Balzarotti"'s message of "Thu, 13 May 2021
 16:13:56 +0200")
Message-ID: <87pmx0kn5p.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org, Jean-Baptiste Volatier <jbv@HIDDEN>,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

Nicol=C3=B2 Balzarotti <anothersms@HIDDEN> skribis:

>> About #2, it looks like; even after updating StaticArrays.jl to the
>> lastest tagged version).
>>
>> And I do not have an idea why it fails=E2=80=A6 Input welcome. :-)
>
> I opened an issue here [1], it seems not to be a problem
>
> [1] https://github.com/JuliaArrays/StaticArrays.jl/issues/912

[...]

Jean-Baptiste Volatier <jbv@HIDDEN> skribis:

> On Thursday, May 13th, 2021 at 4:08 PM, zimoun <zimon.toutoune@HIDDEN>=
 wrote:
>> 1.  an error at runtime about curl
>> 2.  several julia packages are broken because of julia-staticarrays
>>     About #1, it looks like:
>>     --8<---------------cut here---------------start------------->8---
>> =E2=94=8C Error: curl_easy_setopt: 48
>> =E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1=
/usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36
>> --8<---------------cut here---------------end--------------->8---
>>
>
> This bug is due to Downloads.jl trying to set the following
> options for libcurl:
>
> CURLOPT_SSH_PRIVATE_KEYFILE
> CURLOPT_SSH_PUBLIC_KEYFILE
> CURLOPT_SSH_KNOWNHOSTS
>
> error code 48 means that the option is unknown, this is fixed
> if curl is compiled with "--with-libssh2" configure flag.

Should we go for a v4 that addresses these two remaining issues?

I didn=E2=80=99t follow closely but I=E2=80=99m happy to apply the patches =
when the
three of you deem it ready.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 23 May 2021 20:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 23 16:31:19 2021
Received: from localhost ([127.0.0.1]:41809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lkuko-0006ox-Nx
	for submit <at> debbugs.gnu.org; Sun, 23 May 2021 16:31:18 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:56739)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbv@HIDDEN>) id 1lkukk-0006og-0F
 for 48325 <at> debbugs.gnu.org; Sun, 23 May 2021 16:31:17 -0400
Date: Sun, 23 May 2021 20:30:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pm.me; s=protonmail;
 t=1621801867; bh=HOA4nEzm6XTVtB8KsTzaAP61LNiYVcLdjQEIru5HK/o=;
 h=Date:To:From:Reply-To:Subject:In-Reply-To:References:From;
 b=ZfEFSWzydwdNSOoaaHMEv3B59FYde+L0IGpLmHPOZNGm1kaxDv8RFyWFW1uHZJ9bE
 rfdHD/PdYMniHZR6ZpL8ZoADN7GUmDCX87F+LnFoxhwYtkO97V1n+ZboRooo4otX1u
 xst36av2G5ejwSaXxIbfuSBeV/Bsn6MkSG6ljF+T3XyuZ2QJQg97S5BS86wTm7z6Zi
 ImtGQJmccOVqlIbtAYP1KvBGypvcAr6xXsR0f4GJQRhu4M3KUUPItf7LPKkFcSSRk3
 DoQW2THSWBiCQkou4Cr/LQvmRyDn2n1UfUNvLEjCbdYYIHUHVd7l9iFoG6Y2JCxedq
 bZ3TBmzWQb4vg==
To: 48325 <at> debbugs.gnu.org
From: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [PATCH v3 0/5] DRAFT: Update julia to 1.6.1.
Message-ID: <GTvun5-HBu86UkXM-HcX45b8SVO4VOnUKAmayK5h_R0rLtqu-BDHSGGhliOg9u18qYBkCRnykIJBm7nSBTVTnA==@pm.me>
In-Reply-To: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 48325
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jean-Baptiste Volatier <jbv@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Thursday, May 13th, 2021 at 4:08 PM, zimoun <zimon.toutoune@HIDDEN> w=
rote:
> 1.  an error at runtime about curl
> 2.  several julia packages are broken because of julia-staticarrays
>     About #1, it looks like:
>     --8<---------------cut here---------------start------------->8---
> =E2=94=8C Error: curl_easy_setopt: 48
> =E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/=
usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36
> --8<---------------cut here---------------end--------------->8---
>

This bug is due to Downloads.jl trying to set the following
options for libcurl:

CURLOPT_SSH_PRIVATE_KEYFILE
CURLOPT_SSH_PUBLIC_KEYFILE
CURLOPT_SSH_KNOWNHOSTS

error code 48 means that the option is unknown, this is fixed
if curl is compiled with "--with-libssh2" configure flag.
Cheers,
JB





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 14 May 2021 18:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 14 14:15:31 2021
Received: from localhost ([127.0.0.1]:46988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhcLS-0007YN-U8
	for submit <at> debbugs.gnu.org; Fri, 14 May 2021 14:15:31 -0400
Received: from xavier.telenet-ops.be ([195.130.132.52]:42236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1lhcLO-0007Y8-6z
 for 48325 <at> debbugs.gnu.org; Fri, 14 May 2021 14:15:29 -0400
Received: from butterfly ([188.189.58.188])
 by xavier.telenet-ops.be with bizsmtp
 id 4iFP2500a43gCr801iFQet; Fri, 14 May 2021 20:15:24 +0200
Message-ID: <8f1cf7e971d866906a96ff1d320aa247f0a1f712.camel@HIDDEN>
Subject: Re: [bug#48325] [PATCH v3 3/5] gnu: openlibm: Update to 0.7.4.
From: Maxime Devos <maximedevos@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 48325 <at> debbugs.gnu.org
Date: Fri, 14 May 2021 20:15:18 +0200
In-Reply-To: <20210513141105.10274-3-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-3-zimon.toutoune@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-b4N9OWlBJri56Hv/idij"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1621016124; bh=nLHXYOFgihTOy+8QIaCzIXWrbK7Nm+ZV4ltUL7c2odg=;
 h=Subject:From:To:Cc:Date:In-Reply-To:References;
 b=lU0eEg9aPDrglid2LkpuNi6EQTBa7XiZHxQTBTlY9qgGhy5jxgvtWIjB8fEaWjdK1
 iJJHgFwqCXPZ0/snRvPh1uVZLjxaKbQaV7aB/sdUDnjlWnZ3zbAPzfMq855ca1ZiEz
 6ppp0KaydBY1LBGeJuYjONFP83pzDUP4iNF5NFkSkBDnCArPrTx1tW6TB4FJnrb9Dc
 eMx7v6x6q2ZZHcY3Hf3FgruFQ7eb8vm3gtB5VUhVg/AJ7Q53tDSyyErWSufqb0iiFh
 kJnoP3cZqQRpzVE1F6Kqse+yXoPcz045uelFXcJK43+XcAQviQ47wIj3QqfOWdwnrq
 FkEliUsND0E8w==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48325
Cc: Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?ISO-8859-1?Q?Nicol=F2?= Balzarotti <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-b4N9OWlBJri56Hv/idij
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

zimoun schreef op do 13-05-2021 om 16:11 [+0200]:
> +       (list (string-append "prefix=3D" (assoc-ref %outputs "out")) "CC=
=3Dgcc")

This most likely should use ,(string-append "CC=3D" (cc-for-target)) instea=
d
of "CC=3Dgcc", such that the cross-compiler is used when cross-compiling.


--=-b4N9OWlBJri56Hv/idij
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYJ6+NhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7r1EAP9FwY+BQgIL0h1gEBEVq/JNUchZ
fbSFNEd387uK5IFD3AEAhuwsJeHOang8bJm+KmjVcaaUP39Pt5Kz1/VPfeP7Ew8=
=Fn3b
-----END PGP SIGNATURE-----

--=-b4N9OWlBJri56Hv/idij--





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:14:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:14:06 2021
Received: from localhost ([127.0.0.1]:44013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC6I-0004XK-KG
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:14:06 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:33317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lhC6F-0004Wf-Si
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:14:05 -0400
Received: by mail-ed1-f47.google.com with SMTP id b17so31163278ede.0
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:14:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=83DoWzutv3dOfibgVjqAO2NLKWmsTDC+D4jrOuQ3MFI=;
 b=fOp1Vr+IowBglmw923y8gOIOPkYqsa0Ofyx0i9JjnwrVjQvzn7jX3oLiypnBm+E/zV
 gWS68Au0zNif+PFYVqzky0xH454mdAr6jGj05nfDVj5wrYFJ3ofITqI6OzXNywy8Qaot
 k0hZLwQhvln45tI4rCC5NgiepRTcSFmdWBLzjVYeZW5y1c85CVaD/WLUR6UN7PrLQiOU
 FE1HnjLmre0bpQeSUnyu7YrbjFMBSqCvN6nUT8tv7fWnGYJFtHzqIb2KORxyHB0uFtLp
 m14Y+FkdcTfmWNuBvUA6qD5MksXXb7HtwX46o6aVeFsseI5WPLJlZINgBqr7oRn5Gw0e
 S+dA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=83DoWzutv3dOfibgVjqAO2NLKWmsTDC+D4jrOuQ3MFI=;
 b=CdSu5n2/w/mLMn79YBz8bSBcDC2u6eScwFFIlbUhgJEvmdurn/K98ISgQLgzDYjW1P
 teYBeSM8RwhiUvC0HZtahX0xjQJXTFBdCD7GEd6WzYX5i4Q5oUeKDJI1NaZaAr3y/gJ/
 ahMUXBku36pm3hSXg/yv4kgwtFbJJAwl5WRLH0NzMKegn/ZI+jEH5jDXwjNjpelIf51s
 9rkJwaa4jIQ97NL10Dlm7GhqKXe851ZB3ca/L4T1VIj3YCt8jg8/7l72LeAVH7RMay0M
 e7QfqsDbCeCUZMMr7l1MYlmeZz/CRx3lQDBsCgOxe4YWcNrKALmcshO6l6yOpO5e4juY
 Y/FQ==
X-Gm-Message-State: AOAM530u3UPjA6n3qx3vKYx0A5vJz9Bx1Qa51PmAVne3WT0JEKRWiaC5
 XMri8iAZ+/mZXpBBwh18M6o=
X-Google-Smtp-Source: ABdhPJwXbkxHBXkcVV3PjiM++0PpY/3bqjugxcwpetRuh8rZKLdaATN7EMR4S9ygbPQmkTK2vCVD6A==
X-Received: by 2002:a05:6402:22af:: with SMTP id
 cx15mr50987282edb.317.1620915238143; 
 Thu, 13 May 2021 07:13:58 -0700 (PDT)
Received: from guixSD (host-79-17-142-89.retail.telecomitalia.it.
 [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id c25sm2333057edt.43.2021.05.13.07.13.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:13:57 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 48325 <at> debbugs.gnu.org
Subject: Re: [bug#48325] [PATCH v3 0/5] DRAFT: Update julia to 1.6.1.
In-Reply-To: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
References: <To5xE-KO2rEvaVw0ua4LA3k6uVXhNaulSKlW2xy7nOSNwVGMK4RrOGWJegbXwRTec-5cGikmOmq2vn8Brx7aEA==@pm.me>
 <20210513140818.10217-1-zimon.toutoune@HIDDEN>
Date: Thu, 13 May 2021 16:13:56 +0200
Message-ID: <87mtsy67rv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: Jean-Baptiste Volatier <jbv@HIDDEN>, zimon.toutoune@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

zimoun <zimon.toutoune@HIDDEN> writes:

> Hi,

Hi simon,
> About #2, it looks like; even after updating StaticArrays.jl to the
> lastest tagged version).
>
> And I do not have an idea why it fails=E2=80=A6 Input welcome. :-)

I opened an issue here [1], it seems not to be a problem

[1] https://github.com/JuliaArrays/StaticArrays.jl/issues/912
>
> Note that,
>
>   ./pre-inst-env guix environment --pure --ad-hoc julia
>      -- julia -e 'using Pkg; Pkg.add("StaticArrays"); using StaticArrays'
>
> works fine.
>
You should try to test the package, I guess it will complain even when
installed outside of guix

Nicol=C3=B2




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:11:33 2021
Received: from localhost ([127.0.0.1]:44005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC3p-0004SF-2V
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:33 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:41930)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC3b-0004Qv-20
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:23 -0400
Received: by mail-wm1-f48.google.com with SMTP id
 o6-20020a05600c4fc6b029015ec06d5269so4733461wmq.0
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=5KD/NGE/7ZJxJbRIp2ssaKFFfBerB3xLfrcYVGssB8k=;
 b=aG5bh0+ZBA3pb1UlbSOWKEBaE2FQpkTVxdPQpmJekjNUBdVzYQMX6+EJchyg74GFXJ
 /mwPUdyvoHC+EvVMVmY3rXSeXrhtzojvyIqzqyZ/jrRajql7tppgJBioS+BBUthBN7N+
 5RllGgJOJEk90rrfyZ5gWDsO7QmXMxoecLbm9bOcTIoIE27wBGTDsfBYq15ba4wU071i
 JmKdUWZVw9qdwTjPZUtEzXZ1NSz6mSV1X1z/qjQXRy4W4bE7/7cTvwCGUlDmdOBBXTBH
 eGj6d6OCwK808oZqGO7vX6GaAFrSo/S/KRDxzp4lz8jJj6cYiJAUj+tPwTMCCzw3OTO+
 ZOZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=5KD/NGE/7ZJxJbRIp2ssaKFFfBerB3xLfrcYVGssB8k=;
 b=iZiM9tW3/vkMluH/IqHrBjR1JHcjj/p4Q25LC4YXnqQPpVHybmlojsaUh71YdO8qvl
 mf2Ht2Pd+dBLt1yCBpCsONwkWng5ZVKd/V3HDxHWXGjRA7yO6E3vibU8zKKxwRKDStRT
 MztU26lN3f/rw8rMLjfSvjmbjHGG7K8hXd8O3Kq7ZmS4jrCTIG6RS73yPknnOGP0OVEU
 MEWPRs5sDvTQip9oVN16Ekzr97DtCcpVOQW/Yqf6EqyJDq4AFzz8Dh+VDkjtF5hxBIlG
 9dEz1USuUnaBTdmJhN3v6i0Vc/UbEI18pZzJVin7wEeD886euworeOqSO97bLBsx6/mv
 NYVw==
X-Gm-Message-State: AOAM531dv5l2/R4/FvbwaZiUSQOVSHzDrGfPnjQsrQVWwYHFjc7ytvsW
 r0KJcVdkqV1jjwu2k8vPgNc7+n/W1gk=
X-Google-Smtp-Source: ABdhPJywmgTYX4jVnOMylfHW2/IoakpSqGYAhvtbr+QBsyTnBl9R6uKgVwA/JpqsQuWDwoUKzjDy7A==
X-Received: by 2002:a1c:bdc4:: with SMTP id n187mr2809888wmf.175.1620915073601; 
 Thu, 13 May 2021 07:11:13 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m22sm8930044wml.40.2021.05.13.07.11.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:11:13 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 2/5] gnu: Add pcre2-10.36.
Date: Thu, 13 May 2021 16:11:02 +0200
Message-Id: <20210513141105.10274-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210513141105.10274-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 zimoun <zimoun.toutoune@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Jean-Baptiste Volatier <jbv@HIDDEN>

* gnu/packages/pcre.scm (pcre2-10.36): New variable.

Co-Authored-By: zimoun <zimoun.toutoune@HIDDEN>.
---
 gnu/packages/pcre.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/pcre.scm b/gnu/packages/pcre.scm
index ab48168567..8a1bd487fe 100644
--- a/gnu/packages/pcre.scm
+++ b/gnu/packages/pcre.scm
@@ -7,6 +7,7 @@
 ;;; Copyright © 2017 Ludovic Courtès <ludo@HIDDEN>
 ;;; Copyright © 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2021 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -125,3 +126,16 @@ own native API, as well as a set of wrapper functions that correspond to the
 POSIX regular expression API.")
    (license license:bsd-3)
    (home-page "https://www.pcre.org/")))
+
+(define-public pcre2-10.36
+  (package
+    (inherit pcre2)
+    (name "pcre2")
+    (version "10.36")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://sourceforge/pcre/pcre2/"
+                                  version "/pcre2-" version ".tar.bz2"))
+              (sha256
+               (base32
+                "0p3699msps07p40g9426lvxa3b41rg7k2fn7qxl2jm0kh4kkkvx9"))))))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:11:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:11:33 2021
Received: from localhost ([127.0.0.1]:44003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC3o-0004S5-Lg
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:33 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:42610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC3c-0004R0-N7
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:21 -0400
Received: by mail-wm1-f42.google.com with SMTP id
 f75-20020a1c1f4e0000b0290171001e7329so436115wmf.1
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:11:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=B/OeTU1c486WSYxn7pdIUnOWFKWFPwdo1p6qTYCfkkM=;
 b=rM7A/8O/qRadstX08lMfUDHcEE7SMaXQtXisnF1LHD/rCrXnpTokT9GNa/GE6JDOqj
 GoirSW2amLh2Ca/vq51ekLcXoyDPr9R7AgWs38XorRvvz6biUrN51Km0AUhO5yxjQP0r
 zMBqWzQPY5LQ4W8eGeNKtzH2pxDq54rGPWXKOtDbMCAVBeuZ89ASZ5ZfOeK245MeTzaX
 lN2jNB3X3ovSS1iW63t8GgCXV7LCu90YuMyUHqPr/jwLGOp0YyDAW0hlEeZD8MgGpg9J
 fWPwf8fDG+tuJY2r1KN9vg1miEPlVtl/tEPqQkrhJlm6/fo09s0A5fCKTmDE8n7Roz+u
 k/pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=B/OeTU1c486WSYxn7pdIUnOWFKWFPwdo1p6qTYCfkkM=;
 b=UeTUOPVTeaWmHxRm5KGryIlfVYiQmst0PD1s6FSgcYMu+x/10UWhyDe+Afta9hDkM/
 v99v6L4KgELYf3qeZIISeCyBGgHpRkHTXywMAQyD7u2YYjHcRhZo6lbE0oR81kPofQJ9
 o4YlAya9Xq0otzVcqFUlPOzurjpDFaZwpEhKE6bnoK4+oOddlQ7uX9PBrsDr3Ie6kVj0
 hwxGV8A7C4qAfRRBR2xhlJKRU6LxrnsFqn6TzOqcfo9R/oySMyWuNHjzS/kSfGhOQ6oY
 tEPFcUBmS3GLSpdCkUIK06+z3D2HDEnJPZ9qW7Q7icxOR6O4Y5PpL4sERMzaF++iJV1p
 KMDg==
X-Gm-Message-State: AOAM532QFPF6YAylPzZWhYZvWA2wHdGoKcp6+LpctG1vnzwA8PDtCfr1
 Ggog31QAqMvLR2RFHHHrrA86xTfUoEw=
X-Google-Smtp-Source: ABdhPJyBDSAhHpdfg3OpA0OwkH1zdvWPwW/VWvQGbC4Dq/0yDxKja7yV+7TySfx6JQ/Ncn6uZy3lRQ==
X-Received: by 2002:a1c:5f0a:: with SMTP id t10mr4156525wmb.30.1620915075251; 
 Thu, 13 May 2021 07:11:15 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m22sm8930044wml.40.2021.05.13.07.11.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:11:14 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 5/5] gnu: julia-benchmarktools: Update to 0.7.0.
Date: Thu, 13 May 2021 16:11:05 +0200
Message-Id: <20210513141105.10274-5-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210513141105.10274-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Jean-Baptiste Volatier <jbv@HIDDEN>

* gnu/packages/julia-xyz.scm (julia-benchmarktools): Update to 0.7.0.
---
 gnu/packages/julia-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index db3e3b846d..b6272c0b4d 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -100,7 +100,7 @@ be GPU compatible without throwing away the wrapper.")
 (define-public julia-benchmarktools
   (package
     (name "julia-benchmarktools")
-    (version "0.5.0")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -109,7 +109,7 @@ be GPU compatible without throwing away the wrapper.")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0nsx21m3i5h22lkgyrmfj6r085va6ag40khwssqs8y7l0wz98lvp"))))
+        (base32 "000izw9pj7cbh9r35nnwg2ijkb9dpfd5nkl2889b8b2dpsh4fi63"))))
     (build-system julia-build-system)
     (propagated-inputs `(("julia-json" ,julia-json)))
     (home-page "https://github.com/JuliaCI/BenchmarkTools.jl")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:11:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:11:32 2021
Received: from localhost ([127.0.0.1]:44001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC3f-0004Rl-Rz
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:32 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:44547)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC3c-0004Qz-De
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:21 -0400
Received: by mail-wr1-f42.google.com with SMTP id e7so8509145wrc.11
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:11:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=U8T5RRp63ieaVOe4W9Kuu5N5iwqvgz4MrzdUY0fMa/o=;
 b=fAF+2l6Ar9K+zllTNgnci+oLAu+aOAvqS4cFgh9wc0ViwuXudknL/s7Y8S3c4yAL4s
 MiqIt/Z/eIEUjwccG66yS2zZtWd/kff8di8vJEDoyC+9v/5nz0HLmEguxYayEEh5/v4g
 ZgscgTWutalRmGuxM8a+mUoFWXAxGqr6DkuV1c8sjPL9Qi/t84hQVY8kgD/VTycASIFj
 5OTJf+5w4rRieRv7IfCzvwvMEAr6+9Y7wPMix2c9yZQQRjSwDl+aJKhHtYzkMK6Qxr5d
 TcH2neEPjFxktIA5wKiPRq8eOk5NOt4y/qL4gOCmRlaUTvImo314soZjMDET9JYolQjA
 6Dyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=U8T5RRp63ieaVOe4W9Kuu5N5iwqvgz4MrzdUY0fMa/o=;
 b=f7W5SByZoI6+kDyNNrqWKXZMAQ5GTIPMM5t2KzJjJDlpK4JDo9P57ybjTXAg6prweZ
 Z5PRVgviykwvijmlsKayxivnQxOObdnJLuom+3v+bwGiiT11NrvUMHN4B/aOmA/aR+Yz
 abw5lU5//XcO3GTGfT6XmmPxZSnxkk3+sTSacw+o172yqArpvh6oYfJ2nGcfQB006jM7
 wMZZeRhLo1ApRVnEij291SvEYrxSCSMJey9O7VvTrASseZb4vqFE7cwt4CKEg09JfEdF
 B9waT35bm4bMUhEHSRN6BLYSeQtHG0iTbWsQ9/0AlV5F1g5u87AclIkmDaGmlhjlG2FD
 WHZg==
X-Gm-Message-State: AOAM5309RbehLSaqhu0E9wpsOaupDVDocReJNcAwMMYND40kU+jvBJLP
 ff2MAWhSvJt6jM/iuUw715Yr6MG2ZzM=
X-Google-Smtp-Source: ABdhPJyNqovmjqZfA9b8vD87K1HNJ6LenzizZPfJNhzXzl/oHPb6F875F+TmZhkJTcFTFo3j5GnzLA==
X-Received: by 2002:adf:ffcc:: with SMTP id x12mr52702126wrs.162.1620915074757; 
 Thu, 13 May 2021 07:11:14 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m22sm8930044wml.40.2021.05.13.07.11.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:11:14 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 4/5] DRAFT gnu: julia: Update to 1.6.1.
Date: Thu, 13 May 2021 16:11:04 +0200
Message-Id: <20210513141105.10274-4-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210513141105.10274-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  From: Jean-Baptiste Volatier * gnu/packages/julia.scm (julia):
    Update to 1.6.1. [arguments]: XXXX [inputs]: Add nghttp2:lib, Add gfortran:lib,
    Remove arpack-ng. [native-inputs]: Add nss-certs. Co-Authored-By: Nicolò
    Balzarotti . Co-Authored-By: zimoun . --- gnu/packages/julia.scm | 292 +++++++++++++++++++++++++++
    1 file changed, 197 insertions(+), 95 deletions(-) 
 
 Content analysis details:   (2.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.42 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.42 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (zimon.toutoune[at]gmail.com)
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: nixo.xyz (xyz)]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <nicolo@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

From: Jean-Baptiste Volatier <jbv@HIDDEN>

* gnu/packages/julia.scm (julia): Update to 1.6.1.
[arguments]: XXXX
[inputs]: Add nghttp2:lib, Add gfortran:lib, Remove arpack-ng.
[native-inputs]: Add nss-certs.

Co-Authored-By: Nicolò Balzarotti <nicolo@HIDDEN>.
Co-Authored-By: zimoun <zimon.toutoune@HIDDEN>.
---
 gnu/packages/julia.scm | 292 +++++++++++++++++++++++++++--------------
 1 file changed, 197 insertions(+), 95 deletions(-)

diff --git a/gnu/packages/julia.scm b/gnu/packages/julia.scm
index 13c9f7baf1..307ac646b3 100644
--- a/gnu/packages/julia.scm
+++ b/gnu/packages/julia.scm
@@ -1,9 +1,11 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2015, 2016, 2017 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2016, 2020 Efraim Flashner <efraim@HIDDEN>
-;;; Copyright © 2020 Nicolò Balzarotti <nicolo@HIDDEN>
+;;; Copyright © 2020, 2021 Nicolò Balzarotti <nicolo@HIDDEN>
 ;;; Copyright © 2020 Tim Howes <timhowes@HIDDEN>
 ;;; Copyright © 2020 Tobias Geerinckx-Rice <me@HIDDEN>
+;;; Copyright © 2021 Jean-Baptiste Volatier <jbv@HIDDEN>
+;;; Copyright © 2021 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -30,6 +32,7 @@
   #:use-module (gnu packages)
   #:use-module (gnu packages algebra)
   #:use-module (gnu packages base)
+  #:use-module (gnu packages certs)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages curl)
   #:use-module (gnu packages elf)
@@ -48,14 +51,15 @@
   #:use-module (gnu packages ssh)
   #:use-module (gnu packages tls)
   #:use-module (gnu packages version-control)
+  #:use-module (gnu packages web)
   #:use-module (gnu packages wget)
   #:use-module (ice-9 match))
 
 (define libuv-julia
-  (let ((commit "1fcc6d66f9df74189c74d3d390f02202bb7db953")
-        (revision "2"))
+  (let ((commit "fb3e3364c33ae48c827f6b103e05c3f0e78b79a9")
+        (revision "3"))
     ;; When upgrading Julia, also upgrade this.  Get the commit from
-    ;; https://github.com/JuliaLang/julia/blob/v1.5.2/deps/libuv.version
+    ;; https://github.com/JuliaLang/julia/blob/v1.6.0/deps/libuv.version
     (package
       (inherit libuv)
       (name "libuv-julia")
@@ -68,7 +72,7 @@
                 (file-name (string-append name "-" version "-checkout"))
                 (sha256
                  (base32
-                  "040l7f1hk7xyza11sry5cj4fhw05na949865axqqhxnifdvnmfji"))))
+                  "1kqpn19d20aka30h6q5h8lnzyp0vw0xzgx0wm4w2r5j6yf76m2hr"))))
       (build-system gnu-build-system)
       (arguments
        (substitute-keyword-arguments (package-arguments libuv)
@@ -97,7 +101,9 @@
          (julia-patch "libunwind-prefer-extbl"
                       "0lr4dafw8qyfh8sw8hhbwkql1dlhqv8px7k81y2l20hhxfgnh2m1")
          (julia-patch "libunwind-static-arm"
-                      "1jk3bmiw61ypcchqkk1fyg5wh8wpggk574wxyfyaic870zh3lhgq")))))
+                      "1jk3bmiw61ypcchqkk1fyg5wh8wpggk574wxyfyaic870zh3lhgq")
+         (julia-patch "libunwind-cfa-rsp"
+                      "1aswjhvysahhldbzh1afbf0hsjxrvs6xidsz2i7s1cjkjbdiia1z")))))
     (home-page "https://github.com/JuliaLang/tree/master/deps/")))
 
 (define (julia-patch-url version name)
@@ -105,7 +111,7 @@
                  "/deps/patches/" name ".patch"))
 
 (define (julia-patch name sha)
-  (let ((version "1.5.3"))
+  (let ((version "1.6.1"))
     (origin (method url-fetch)
             (uri (julia-patch-url version name))
             (sha256 (base32 sha))
@@ -113,52 +119,10 @@
 
 (define llvm-julia
   (package
-    (inherit llvm-9)
+    (inherit llvm-11)
     (name "llvm-julia")
-    (source (origin
-              (inherit (package-source llvm-9))
-              ;; Those patches are inside the Julia source repo.
-              ;; They are _not_ Julia specific (https://github.com/julialang/julia#llvm)
-              ;; but they are required to build Julia.
-              ;; Discussion: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=919628
-              (patches
-               (map (match-lambda
-                      ((name hash)
-                       (julia-patch name hash)))
-                    (list
-                     '("llvm-D27629-AArch64-large_model_6.0.1"
-                       "1qrshmlqvnasdyc158vfn3hnbigqph3lsq7acb9w8lwkpnnm2j4z")
-                     '("llvm8-D34078-vectorize-fdiv"
-                       "19spqc3xsazn1xs9gpcgv9ldadfkv49rmc5khl7sf1dlmhgi4602")
-                     '("llvm-7.0-D44650"
-                       "1h55kkmkiisfj6sk956if2bcj9s0v6n5czn8dxb870vp5nccj3ir")
-                     '("llvm9-D50010-VNCoercion-ni"
-                       "1s1d3sjsiq4vxg7ncy5cz56zgy5vcq6ls3iqaiqkvr23wyryqmdx")
-                     '("llvm-exegesis-mingw"
-                       "0ph1cj1j7arvf1xq2xcr7qf9g0cpdl14fincgr67vpi520zvd3vp")
-                     '("llvm-test-plugin-mingw"
-                       "12z738cnahbf6n381im7i0hxp1m6k9hrnfjlmq9sac46nxly9gnj")
-                     '("llvm7-revert-D44485"
-                       "0f59kq3p3mpwsbmskypbi4zn01l6ig0x7v2rjp08k2r8z8m6fa8n")
-                     '("llvm-8.0-D66657-codegen-degenerate"
-                       "1n1ddx19h90bbpimdyd9dh8fsm6gb93xxyqm4ljkxa1k3cx2vm72")
-                     '("llvm-8.0-D71495-vectorize-freduce"
-                       "1zff08wvji9lnpskk4b3p5zyjsy5hhy23ynxjqlj9dw7jvvfrf0p")
-                     '("llvm-D75072-SCEV-add-type"
-                       "029a3fywsm233vf48mscina24idd50dc75wr70lmimrhwnw27p0z")
-                     '("llvm-9.0-D65174-limit-merge-stores"
-                       "04bff1mnblfj9mxfdwr1qdnw3i3szmp60gnhxwas5y68qg33z6j0")
-                     '("llvm9-D71443-PPC-MC-redef-symbol"
-                       "1c93nv7rgc9jg5mqrnvv08xib1789qvlql94fwggh18mp3b9hbgy")
-                     '("llvm-9.0-D78196"
-                       "08a43hyg7yyqjq2vmfsmppf34xcz60wq6y9zw5fdyhw2h1mcnmns")
-                     '("llvm-julia-tsan-custom-as"
-                       "0awh40kf6lm4wn1nsjd1bmhfwq7rqj811szanp2xkpspykw9hg9s")
-                     '("llvm-9.0-D85499"
-                       "0vxlr35srvbvihlgrxq15v6dylp90vgi0qahj22j01jgqmdasjkm"))))
-              (patch-flags '("-p1"))))
     (arguments
-     (substitute-keyword-arguments (package-arguments llvm-9)
+     (substitute-keyword-arguments (package-arguments llvm-11)
        ((#:configure-flags flags)
         `(list ;; Taken from NixOS. Only way I could get libLLVM-6.0.so
            "-DCMAKE_BUILD_TYPE=Release"
@@ -177,7 +141,61 @@
            ;; "-DLLVM_DEFAULT_TARGET_TRIPLE=${stdenv.hostPlatform.config}"
            ;; "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=WebAssembly"
            "-DLLVM_ENABLE_DUMP=ON"
-           "-DLLVM_LINK_LLVM_DYLIB=ON"))))))
+           "-DLLVM_LINK_LLVM_DYLIB=ON"))
+       ((#:phases phases)
+        `(modify-phases ,phases
+           ;; applying patches from julia
+           ;; list of patches can be found in deps/llvm.mk in julia source
+           (add-after 'unpack 'julia-patches
+             (lambda* (#:key inputs outputs #:allow-other-keys)
+               (let ((patch
+                      (lambda (patchname flag)
+                        (invoke "patch" flag "-i"
+                                (string-append
+                                 "julia-src/deps/patches/"
+                                 patchname
+                                 ".patch")))))
+                 (mkdir-p "julia-src")
+                 (invoke "tar" "xf"
+                         (assoc-ref inputs "julia-source")
+                         "-C" "julia-src" "--strip-components=1")
+                 (map (lambda (patchname)
+                        (patch patchname "-p1"))
+                      (list "llvm-D27629-AArch64-large_model_6.0.1"
+                            "llvm8-D34078-vectorize-fdiv"
+                            "llvm-7.0-D44650"
+                            "llvm-6.0-DISABLE_ABI_CHECKS"
+                            "llvm9-D50010-VNCoercion-ni"
+                            "llvm7-revert-D44485"
+                            "llvm-11-D75072-SCEV-add-type"
+                            "llvm-julia-tsan-custom-as"
+                            "llvm-D80101"
+                            "llvm-D84031"
+                            "llvm-10-D85553"
+                            "llvm-10-unique_function_clang-sa"
+                            "llvm-11-D85313-debuginfo-empty-arange"
+                            "llvm-11-D90722-rtdyld-absolute-relocs"
+                            "llvm-invalid-addrspacecast-sink"
+                            "llvm-11-D92906-ppc-setjmp"
+                            "llvm-11-PR48458-X86ISelDAGToDAG"
+                            "llvm-11-D93092-ppc-knownbits"
+                            "llvm-11-D93154-globalisel-as"
+                            "llvm-11-ppc-half-ctr"
+                            "llvm-11-ppc-sp-from-bp"
+                            "llvm-rGb498303066a6-gcc11-header-fix"
+                            "llvm-11-D94813-mergeicmps"
+                            "llvm-11-D94980-CTR-half"
+                            "llvm-11-D94058-sext-atomic-ops"
+                            "llvm-11-D96283-dagcombine-half"))
+                 (map (lambda (patchname)
+                        (patch patchname "-p2"))
+                      (list "llvm-11-AArch64-FastIsel-bug"
+                            "llvm-11-D97435-AArch64-movaddrreg"
+                            "llvm-11-D97571-AArch64-loh"
+                            "llvm-11-aarch64-addrspace")))))))))
+    (inputs
+     `(("julia-source" ,(package-source julia))
+       ,@(package-inputs llvm-11)))))
 
 (define-public libwhich
   (package
@@ -223,7 +241,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
 (define-public julia
   (package
     (name "julia")
-    (version "1.5.3")
+    (version "1.6.1")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -231,9 +249,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
                     version "/julia-" version ".tar.gz"))
               (sha256
                (base32
-                "1zmim82x9kkdcgn0cdi01hmzi59zbszy1sqlygb86xq4hc1n66dy"))
-              (patches
-               (search-patches "julia-SOURCE_DATE_EPOCH-mtime.patch"))))
+                "1mfzbjyqcmx7wb1sa7qab5fl78yzd7ap088krqbphbwvpn880srn"))))
     (build-system gnu-build-system)
     (arguments
      `(#:test-target "test"
@@ -259,14 +275,13 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
                      (string-join (map (lambda (pkg)
                                          (string-append (assoc-ref inputs pkg)
                                                         "/lib"))
-                                       '("arpack-ng" "curl" "dsfmt"
+                                       '("curl" "dsfmt"
                                          "gmp" "lapack"
-                                         "libssh2" "libgit2"
+                                         "libssh2" "libnghttp2" "libgit2"
                                          "mbedtls" "mpfr"
                                          "openblas" "openlibm" "pcre2"
-                                         "suitesparse"))
-                                  ":"))
-             #t))
+                                         "suitesparse" "libfortran"))
+                                  ":"))))
          ;; FIXME: Building the documentation requires Julia packages that
          ;; would be downloaded from the Internet.  We should build them in a
          ;; separate build phase.
@@ -304,7 +319,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
                 "$(BUILDDIR)/$(EXENAME)-debug\\$\\(EXE\\): $(DOBJS) $(LLT_debug)"))
 
              ;; The REPL must be linked with libuv.
-             (substitute* "ui/Makefile"
+             (substitute* "cli/Makefile"
                (("JLDFLAGS \\+= ")
                 (string-append "JLDFLAGS += "
                                (assoc-ref %build-inputs "libuv")
@@ -320,27 +335,82 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
              (substitute* "base/client.jl"
                (("/bin/sh") (which "sh")))
              #t))
-         (add-before 'build 'fix-precompile
-           (lambda _
-             (substitute* "base/loading.jl"
-               (("something(Base.active_project(), \"\")") "\"\""))
+         (add-before 'build 'shared-objects-paths
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((jlpath
+                    (lambda (pkgname)
+                      (string-append
+                       "stdlib/" pkgname "_jll/src/" pkgname "_jll.jl")))
+                   (from
+                    (lambda (libname)
+                      (string-append "const " libname " = .*\\.so")))
+                   (to
+                    (lambda* (pkg libname #:optional libname_jl)
+                      (string-append
+                       "const " (or libname_jl libname)  "= \""
+                       (assoc-ref inputs pkg) "/lib/" libname ".so"))))
+               (substitute* (jlpath "dSFMT")
+                 (((from "libdSFMT")) (to "dsfmt" "libdSFMT")))
+               (substitute* (jlpath "GMP")
+                 (((from "libgmp")) (to "gmp" "libgmp"))
+                 (((from "libgmpxx")) (to "gmp" "libgmpxx")))
+               (substitute* (jlpath "libLLVM")
+                 (((from "libLLVM")) (to "llvm" "libLLVM")))
+               (substitute* (jlpath "LibCURL")
+                 (((from "libcurl")) (to "curl" "libcurl")))
+               (substitute* (jlpath "LibGit2")
+                 (((from "libgit2")) (to "libgit2" "libgit2")))
+               (substitute* (jlpath "LibSSH2")
+                 (((from "libssh2")) (to "libssh2" "libssh2")))
+               (substitute* (jlpath "LibUV")
+                 (((from "libuv")) (to "libuv" "libuv")))
+               (substitute* (jlpath "LibUnwind")
+                 (((from "libunwind")) (to "libunwind" "libunwind")))
+               (substitute* (jlpath "MPFR")
+                 (((from "libmpfr")) (to "mpfr" "libmpfr")))
+               (substitute* (jlpath "MbedTLS")
+                 (((from "libmbedcrypto")) (to "mbedtls" "libmbedcrypto"))
+                 (((from "libmbedtls")) (to "mbedtls" "libmbedtls"))
+                 (((from "libmbedx509")) (to "mbedtls" "libmbedx509")))
+               (substitute* (jlpath "nghttp2")
+                 (((from "libnghttp2")) (to "libnghttp2" "libnghttp2")))
+               (substitute* (jlpath "OpenBLAS")
+                 (((from "libopenblas")) (to "openblas" "libopenblas")))
+               (substitute* (jlpath "OpenLibm")
+                 (((from "libopenlibm")) (to "openlibm" "libopenlibm")))
+               (substitute* (jlpath "PCRE2")
+                 (((from "libpcre2")) (to "pcre2" "libpcre2" "libpcre2_8")))
+               (substitute* (jlpath "SuiteSparse")
+                 (((from "libamd")) (to "suitesparse" "libamd"))
+                 (((from "libbtf")) (to "suitesparse" "libbtf"))
+                 (((from "libcamd")) (to "suitesparse" "libcamd"))
+                 (((from "libccolamd")) (to "suitesparse" "libccolamd"))
+                 (((from "libcholmod")) (to "suitesparse" "libcholmod"))
+                 (((from "libcolamd")) (to "suitesparse" "libcolamd"))
+                 (((from "libklu")) (to "suitesparse" "libklu"))
+                 (((from "libldl")) (to "suitesparse" "libldl"))
+                 (((from "librbio")) (to "suitesparse" "librbio"))
+                 (((from "libspqr")) (to "suitesparse" "libspqr"))
+                 (((from "libsuitesparse")) (to "suitesparse" "libsuitesparse"))
+                 (((from "libsuitesparseconfig")) (to "suitesparse" "libsuitesparseconfig"))
+                 (((from "libumfpack")) (to "suitesparse" "libumfpack")))
+               (substitute* (jlpath "Zlib")
+                 (((from "libz")) (to "zlib" "libz"))))
              #t))
+         (add-before 'check 'fix-setenv
+           (lambda* (#:key inputs #:allow-other-keys)
+             ;; some tests execute julia in an environment that needs to propagate GUIX_LOCPATH
+             (substitute* "test/cmdlineargs.jl"
+               (("\"HOME\"\\s=>\\shomedir\\(\\)")
+                "\"HOME\" => homedir(), \"GUIX_LOCPATH\" => ENV[\"GUIX_LOCPATH\"]"))))
          (add-before 'check 'disable-broken-tests
            (lambda _
              (substitute* "test/choosetests.jl"
-               (("tests = testnames")
-                ;; Those failings are not deterministic.  They depends on the
-                ;; running order.  I think it depends on the number of
-                ;; runners, disabling it for now
-                ;; https://github.com/JuliaLang/julia/issues/34330
-                "tests = filter(e->!in(e,[\"backtrace\",\"exceptions\",\"precompile\",
-                                           \"client\",\"stacktraces\"]),
-                                       testnames)"))
-             ;; Marking the test as broken as it's a known bug:
-             ;; https://github.com/JuliaLang/julia/issues/32377
-             (substitute* "stdlib/REPL/test/replcompletions.jl"
-               (("@test count") "@test_broken count"))
-             ;; Dates has a similar bug:
+               (("skip_tests = \\[\\]")
+                ;; disabling REPL tests because they require a stdin
+                ;; disabling tests for MPFR, MbedTLS and SuiteSparse because they only check for hardcoded versions
+                "skip_tests = [\"REPL\", \"MPFR_jll\", \"MbedTLS_jll\", \"SuiteSparse_jll\"]"))
+             ;; Dates/io tests fail on master when networking is unavailable
              ;; https://github.com/JuliaLang/julia/issues/34655
              (substitute* "stdlib/Dates/test/io.jl"
                (("\"Dates.Date") "\"Date")
@@ -349,11 +419,43 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
              ;; https://github.com/JuliaLang/julia/issues/35785
              (substitute* "test/file.jl"
                (("@test dirname\\(t\\) == d") "@test_broken dirname(t) == d"))
-             ;; Deprecation test fails with --depwarn=no
-             ;; https://github.com/JuliaLang/julia/issues/37673
-             (substitute* "test/Makefile"
-               (("./runtests.jl") "--depwarn=error ./runtests.jl"))
+             ;; julia embeds a certificate, we are not doing that
+             (substitute* "stdlib/MozillaCACerts_jll/test/runtests.jl"
+               (("@test isfile\\(MozillaCACerts_jll.cacert\\)") "@test_broken isfile(MozillaCACerts_jll.cacert)"))
+             ;; since certificate is not present some tests are failing in network option
+             (substitute* "usr/share/julia/stdlib/v1.6/NetworkOptions/test/runtests.jl"
+               (("@test isfile\\(bundled_ca_roots\\(\\)\\)") "@test_broken isfile(bundled_ca_roots())")
+               (("@test ispath\\(ca_roots_path\\(\\)\\)") "@test_broken ispath(ca_roots_path())")
+               (("@test ca_roots_path\\(\\) \\!= bundled_ca_roots\\(\\)") "@test_broken ca_roots_path() != bundled_ca_roots()"))
              #t))
+         (add-before 'install 'symlink-libraries
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((link
+                    (lambda (pkgname dir pred)
+                      (map (lambda (file)
+                             (invoke "ln" "-s" file dir))
+                           (find-files (string-append (assoc-ref inputs pkgname) "/lib") pred)))))
+               (link "curl" "usr/lib/" "\\.so") ;; missing libpthreads libLLVM-11jl
+               (link "suitesparse" "usr/lib/julia/" "libbtf\\.so")
+               (link "suitesparse" "usr/lib/julia/" "libklu\\.so")
+               (link "suitesparse" "usr/lib/julia/" "libldl\\.so")
+               (link "suitesparse" "usr/lib/julia/" "librbio\\.so")
+               (link "gmp" "usr/lib/julia/" "libgmpxx\\.so")
+               (link "libuv" "usr/lib/julia/" "libuv\\.so")
+               (link "zlib" "usr/lib/julia/" "libz\\.so")
+               (link "libunwind" "usr/lib/julia/" "libunwind\\.so")
+               (invoke "ln" "-s" (string-append (assoc-ref inputs "p7zip") "/bin/7z") "usr/bin/")
+               #t)))
+         (add-after 'install 'symlink-llvm-utf8proc
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (let ((link
+                    (lambda (pkgname pred)
+                      (map (lambda (file)
+                             (invoke "ln" "-s" file (string-append (assoc-ref outputs "out") "/lib/julia/")))
+                           (find-files (string-append (assoc-ref inputs pkgname) "/lib") pred)))))
+               (link "llvm" "libLLVM-11\\.so")
+               (link "utf8proc" "libutf8proc\\.so")
+               #t)))
          (add-after 'install 'make-wrapper
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (let* ((out (assoc-ref outputs "out"))
@@ -384,7 +486,6 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
 
          "CONFIG_SHELL=bash"     ;needed to build bundled libraries
          ;; list of "USE_SYSTEM_*" is here:
-         ;; https://github.com/JuliaLang/julia/blob/v1.3.1/Make.inc
          "USE_SYSTEM_DSFMT=1"
          "USE_SYSTEM_P7ZIP=1"
          "USE_SYSTEM_LAPACK=1"
@@ -392,6 +493,8 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
          "USE_BLAS64=0"          ;needed when USE_SYSTEM_BLAS=1
          "LIBBLAS=-lopenblas"
          "LIBBLASNAME=libopenblas"
+         ;; https://github.com/JuliaLang/julia/blob/v1.6.0/Make.inc
+         "USE_SYSTEM_CSL=1"
 
          "USE_SYSTEM_SUITESPARSE=1"
          (string-append "SUITESPARSE_INC=-I "
@@ -403,7 +506,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
                         (assoc-ref %build-inputs "utf8proc")
                         "/include")
          "USE_SYSTEM_LLVM=1"
-         "LLVM_VER=9.0.1"
+         "LLVM_VER=11.0.0"
 
          "USE_LLVM_SHLIB=1"
          "USE_SYSTEM_LIBUNWIND=1"
@@ -416,22 +519,17 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
                         "/include")
          "USE_SYSTEM_PATCHELF=1"
          "USE_SYSTEM_PCRE=1"
+         "USE_SYSTEM_NGHTTP2=1"
          "USE_SYSTEM_OPENLIBM=1"
          "USE_SYSTEM_MBEDTLS=1"
          "USE_SYSTEM_LIBSSH2=1"
          "USE_SYSTEM_GMP=1"
          "USE_SYSTEM_MPFR=1"
-         "USE_SYSTEM_ARPACK=1"
          "USE_SYSTEM_LIBGIT2=1"
          "USE_SYSTEM_ZLIB=1")))
     (inputs
      `(("llvm" ,llvm-julia)
        ("p7zip" ,p7zip)
-       ;; The bundled version is 3.3.0 so stick to that version.  With other
-       ;; versions, we get test failures in 'linalg/arnoldi' as described in
-       ;; <https://bugs.gnu.org/30282>.
-       ("arpack-ng" ,arpack-ng-3.3.0)
-
        ("coreutils" ,coreutils) ;for bindings to "mkdir" and the like
        ("lapack" ,lapack)
        ("openblas" ,openblas) ;Julia does not build with Atlas
@@ -439,12 +537,15 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
        ("openlibm" ,openlibm)
        ("mbedtls" ,mbedtls-apache)
        ("curl" ,curl)
-       ("libgit2" ,libgit2-0.28)
+       ("libnghttp2" ,nghttp2 "lib")
+       ("libgit2" ,libgit2)
        ("libssh2" ,libssh2)
        ("fortran" ,gfortran)
+       ;; required for libgcc_s.so
+       ("libfortran" ,gfortran "lib")
        ("libuv" ,libuv-julia)
-       ("pcre2" ,pcre2)
-       ("utf8proc" ,utf8proc)
+       ("pcre2" ,pcre2-10.36)
+       ("utf8proc" ,utf8proc-2.6.1)
        ("mpfr" ,mpfr)
        ("wget" ,wget)
        ("which" ,which)
@@ -452,7 +553,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
        ("gmp" ,gmp)
        ("suitesparse" ,suitesparse)
        ;; Find dependencies versions here:
-       ;; https://raw.githubusercontent.com/JuliaLang/julia/v1.3.0/deps/Versions.make
+       ;; https://raw.githubusercontent.com/JuliaLang/julia/v1.6.0/deps/Versions.make
        ("libwhich" ,libwhich)
        ("dsfmt" ,dsfmt)))
     (native-inputs
@@ -460,6 +561,7 @@ libraries.  It is also a bit like @code{ldd} and @code{otool -L}.")
        ("perl" ,perl)
        ("patchelf" ,patchelf)
        ("pkg-config" ,pkg-config)
+       ("nss-certs" ,nss-certs)
        ("python" ,python-2)))
     (native-search-paths
       (list (search-path-specification
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:11:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:11:23 2021
Received: from localhost ([127.0.0.1]:43999 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC3f-0004Rj-Kw
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:23 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:50743)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC3b-0004Qx-Kw
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:19 -0400
Received: by mail-wm1-f41.google.com with SMTP id n84so14688119wma.0
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:11:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=Ii27iIsEzwV7vtVg3KUV3FcoAK/eG/l/47M9zJOQ/dM=;
 b=nWUc8n3qru9jmLcX4nRjkxWB5umOIncf8OKIZXWCJoAiCysDzumYCdrFg99pxgeObf
 sIfBMUCQoMgnX0B2EHWnRpKtGBIRiRH23V58b5Vi5LJ3wYEa+upU1RxAeOWjz5Mm7ppq
 qwL0l2/XVOlHSItjdL4HlsAGUxYDVxwYKUPORMNMncaVOnCc/T3opsNxv2OjNrhdTKGO
 cbCASZJc3kAC2d67OeIYK9Keqke20nGttR2fOOQG33aPWeWv/QKe58Fkjtwvl74aiy+j
 pX9Mf8TWq4YR9f/9bb6ZfsNh/p5/fmXWImC8Iw/hs9vF31UtoJnlMGYVJX3PT1uKjn8g
 WoBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=Ii27iIsEzwV7vtVg3KUV3FcoAK/eG/l/47M9zJOQ/dM=;
 b=DA483ah5fsZkl7KEnrCQcalZUOSy2sc1dB4KJLDL/ZNT3xcG47MBXODi4qNJuoZHn8
 n8silGBjqplzl3M8WT3JkcFsE35LBRVNAKXMliodfkJSV+wPUUO1CMgIbN8Vbp259ddi
 QTtou5VIZBD78+IP2Bzl0rIkmlWXaU5Pexkxumkjlji5APPmO0a5Rpirrn3uKEGlrzQ+
 KL+afVxCqej8QjOLTn23W0ExwVKy6nJZ443rVSkC/VHFfKLSj2Q5I5DUtRv7Ge6FgtPf
 s4zxPK37xlwPS6w2e/2KLbkRIl+TCoHuJR6vOXZyGPKwBZC06stejhkkc1IuSPplChhP
 yE0g==
X-Gm-Message-State: AOAM533rl/0FxB2vVHoW9RxmbX60pZR3j9dyX4NyrbwKpieasKIuqUgw
 3AlvhfMgqvdQhEiG2bYiTWQRECeQ/Uk=
X-Google-Smtp-Source: ABdhPJyiVmm9YNtRn4gg7yC3NPTMNpfFuiYis/6JpJM7a+yna/EljP1reqoq1X996460dYH48IWMzQ==
X-Received: by 2002:a7b:c30f:: with SMTP id k15mr4080991wmj.128.1620915074133; 
 Thu, 13 May 2021 07:11:14 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m22sm8930044wml.40.2021.05.13.07.11.13
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:11:13 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 3/5] gnu: openlibm: Update to 0.7.4.
Date: Thu, 13 May 2021 16:11:03 +0200
Message-Id: <20210513141105.10274-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210513141105.10274-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
 <20210513141105.10274-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Jean-Baptiste Volatier <jbv@HIDDEN>

* gnu/packages/maths.scm (openlibm): Update to 0.7.4.
---
 gnu/packages/maths.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 9f7bdb9bb1..7be5d418e7 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -3959,7 +3959,7 @@ access to BLIS implementations via traditional BLAS routine calls.")
 (define-public openlibm
   (package
     (name "openlibm")
-    (version "0.6.0")
+    (version "0.7.4")
     (source
      (origin
        (method git-fetch)
@@ -3968,11 +3968,11 @@ access to BLIS implementations via traditional BLAS routine calls.")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "08wfchmmr5200fvmn1kwq9byc1fhsq46hn0y5k8scdl74771c7gh"))))
+        (base32 "1azms0lpxb7vxb3bln5lyz0wpwx6jnzbffkclclpq2v5aiw8d14i"))))
     (build-system gnu-build-system)
     (arguments
      `(#:make-flags
-       (list (string-append "prefix=" (assoc-ref %outputs "out")))
+       (list (string-append "prefix=" (assoc-ref %outputs "out")) "CC=gcc")
        #:phases
        ;; no configure script
        (modify-phases %standard-phases (delete 'configure))
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:11:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:11:20 2021
Received: from localhost ([127.0.0.1]:43995 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC3c-0004RI-Al
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:20 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:39591)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC3a-0004Qu-O4
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:11:19 -0400
Received: by mail-wm1-f48.google.com with SMTP id
 l18-20020a1ced120000b029014c1adff1edso1423171wmh.4
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:11:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=eKRYLJkDGAf2n3SZR/uR+uoC+eeNFA+zggUSZeC0qFk=;
 b=mWfdBEgXIdEj8z8SAsEztRxMJBwAIrGUPLW/aGrQn0CYxwPxJkSuIvXHMSRjCjn85R
 O39WGs+K8TclfejEiMVpc/sC3iWBsVQgLWcbn3BXYgxD9fsaiVJ4GyH7lVNP8HrMA86j
 0ArOO2yKTVvV+TAIXPLMKEx2QccDj36dK+B3m4vM2oOxhoTOa6iwXqJCc4bmGT2OgXT6
 ZQoukJ1o9tTXEmxLbOcQQSLljEkk/4D3j1T8FqOpDNLuEI7ZYkFpW1OA5vgSarCAMOvs
 ILjbaysjRkoOFzupmkRDjkcT92PRWORaedSIEXed1rQUZvRTQRa4zWpGUBhEVl0oxO6D
 1eLw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=eKRYLJkDGAf2n3SZR/uR+uoC+eeNFA+zggUSZeC0qFk=;
 b=FP7/TuVEjZEuF61h4aL3zuduWthfa0VHpz3QbvXqyDJnp0OKzTkK2RHu+wI22UY1kw
 8VbFNqf9S1jRK7+pf5S/qyto9ZCGpbMPAdP6Spg35iNy/XkyXXUjCTnLuP19Swbl3Yg+
 5AgUwm+GZjFCsokn7weUMT9QOuMCxemThKbWUgy56UckDrpdgEsDi2a8yGyWCrw99W2t
 Wgqw6lKGhUzgBGzbkgYnby+SukNQScUxuZ/WeaL2S1nBhCRNO6gV9TLKrRcJpR92Q16f
 3/UtShcQCEy6MX01e3JkfCPzVDzQyOFlxnN89TdVeX4BISqm1oyEtCw2tXI/0+yyv2VN
 T4tg==
X-Gm-Message-State: AOAM531511clqx03fGCGKtIW3YwTQaT01gl2Aa7IkFhpi4OSguo8DLwH
 UarKpIIgbssvLAQDY1R3++1WbPBldyA=
X-Google-Smtp-Source: ABdhPJyl7h/55AJYpLLEZbvgv4HxfFne4sFx5Egnldul+WPRgYydbV/ucd84yfloOoI/IwmPOsgI0A==
X-Received: by 2002:a1c:e908:: with SMTP id q8mr44498312wmc.136.1620915073091; 
 Thu, 13 May 2021 07:11:13 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m22sm8930044wml.40.2021.05.13.07.11.12
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:11:12 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 1/5] gnu: Add utf8proc-2.6.1.
Date: Thu, 13 May 2021 16:11:01 +0200
Message-Id: <20210513141105.10274-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
In-Reply-To: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
References: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

From: Jean-Baptiste Volatier <jbv@HIDDEN>

* gnu/packages/textutils.scm (utf8proc-2.6.1): New variable.

Co-Authored-By: zimoun <zimon.toutoune@HIDDEN>.
---
 gnu/packages/textutils.scm | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/textutils.scm b/gnu/packages/textutils.scm
index ab34373705..dbd6dce283 100644
--- a/gnu/packages/textutils.scm
+++ b/gnu/packages/textutils.scm
@@ -20,6 +20,7 @@
 ;;; Copyright © 2019 Mădălin Ionel Patrașcu <madalinionel.patrascu@HIDDEN>
 ;;; Copyright © 2019 Wiktor Żelazny <wzelazny@HIDDEN>
 ;;; Copyright © 2020 Maxim Cournoyer <maxim.cournoyer@HIDDEN>
+;;; Copyright © 2021 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -63,6 +64,7 @@
   #:use-module (gnu packages python-build)
   #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
+  #:use-module (gnu packages ruby)
   #:use-module (gnu packages slang)
   #:use-module (gnu packages web))
 
@@ -201,6 +203,45 @@ normalization, case-folding, and other operations for data in the UTF-8
 encoding, supporting Unicode version 9.0.0.")
     (license license:expat)))
 
+(define-public utf8proc-2.6.1
+  (package
+    (inherit utf8proc)
+    (name "utf8proc")
+    (version "2.6.1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaStrings/utf8proc")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1zqc6airkzkssbjxanx5v8blfk90180gc9id0dx8ncs54f1ib8w7"))))
+    (arguments
+     (substitute-keyword-arguments (package-arguments utf8proc)
+       ((#:phases phases)
+        `(modify-phases ,phases
+           (replace 'check-data
+             (lambda* (#:key inputs #:allow-other-keys)
+               (for-each (lambda (i)
+                           (copy-file (assoc-ref inputs i)
+                                      (string-append "data/" i)))
+                         '("NormalizationTest.txt" "GraphemeBreakTest.txt"
+                           "DerivedCoreProperties.txt"))))))))
+    (native-inputs
+     (append
+      (package-native-inputs utf8proc)
+      (let ((UNICODE_VERSION "13.0.0"))
+        `(("DerivedCoreProperties.txt"
+           ,(origin
+              (method url-fetch)
+              (uri (string-append "https://www.unicode.org/Public/"
+                                  UNICODE_VERSION "/ucd/DerivedCoreProperties.txt"))
+              (sha256
+               (base32 "0j12x112cd8fpgazkc8izxnhhpia44p1m36ff8yapslxndcmzm55"))))
+          ;; For tests
+          ("ruby" ,ruby)))))))
+
 (define-public libconfuse
   (package
     (name "libconfuse")
-- 
2.30.1





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 13 May 2021 14:08:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 13 10:08:40 2021
Received: from localhost ([127.0.0.1]:43988 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lhC11-0004ME-OE
	for submit <at> debbugs.gnu.org; Thu, 13 May 2021 10:08:40 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:41881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lhC0v-0004Ln-WC
 for 48325 <at> debbugs.gnu.org; Thu, 13 May 2021 10:08:35 -0400
Received: by mail-wr1-f54.google.com with SMTP id d11so27006597wrw.8
 for <48325 <at> debbugs.gnu.org>; Thu, 13 May 2021 07:08:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=emobcX274paV4TD87U+63lWIIPzPD8O+ezqrLimZQG0=;
 b=tvhBKgGRGKCwYWEpD95pwCmkoymvdZJkwBxapFmYMUEdWHygpNKPl5Hq9QY13TG1Ej
 //fgS4zKsn95krzR9OveonobdTShuiNoFvO4TdvmdhB2MxGL9MmFSud81YpQSpVkjceb
 UUlmCppWdyXYrmpxec6+B4Q9abDtsAX9+UGwZzYNHwMLTF7idwFAC2gA6TZq7D+OnPRV
 5d6DW07f67szFaOHxE6r6A6q1o8jQ8QI8zekMMw0EJnZKpSk4ylemlGQA4KAZleelUim
 T447Xiu3YnFKSMbLm8p+Zlx9W56IsOl4J3Erro+kpJLQVzT3rfOXFE8YixNQRBrvWT6l
 5GWA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=emobcX274paV4TD87U+63lWIIPzPD8O+ezqrLimZQG0=;
 b=NfwnYxKcGKRipPy1/aRpgOe81aUhXkXWs6o1PSMa37Eh1UznBDlDzO5j1d+PVkee2X
 XWju6mFVEE0qlwJEGkERdd2gzUzPGBxlWnGsC8BK/YDW+b8KxLktM7EfukVFVkTUoAnl
 S9Ut2KPiMMZ3Vj1AvagKunZxTotJD0VI6DOnda/3RqAGHL257/KMO2zxBCW9LaAzz9aL
 V/i+Xgw/MJCXnI9+N+AYMjwioL10ATq88b5Z86jOwxVJ5FUxXUEFTSfN8vj1lPNKNOD9
 FQmSPOhCB/E9iCQ7UhEDK5SpYnUfdqScABNADNUvm0LdjbxP+tcGYCU3GSy958HhyvuF
 MyZA==
X-Gm-Message-State: AOAM530QM0xgVIMvhEGn8ePfo5xHj7PRfapdUKlB1e3bM275u8PR1P6S
 6luPYqFyPuF8Mgva3bBMpzNy2QZ//O8=
X-Google-Smtp-Source: ABdhPJxar3OUXOVF1aMUoo5vtZCOHYtgiiwD+acKdTB8W9JHF6r5bE7I7E5AYTEFPewAkF4jEqDGLQ==
X-Received: by 2002:adf:bc46:: with SMTP id a6mr14426286wrh.232.1620914908197; 
 Thu, 13 May 2021 07:08:28 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id h8sm2945918wrw.85.2021.05.13.07.08.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 13 May 2021 07:08:27 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 48325 <at> debbugs.gnu.org
Subject: [PATCH v3 0/5] DRAFT: Update julia to 1.6.1.
Date: Thu, 13 May 2021 16:08:18 +0200
Message-Id: <20210513140818.10217-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.30.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: zimon.toutoune@HIDDEN, Jean-Baptiste Volatier <jbv@HIDDEN>,
 =?UTF-8?q?Nicol=C3=B2=20Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Here a patch set after two reviews.  Everything builds, although it is a
bit log.  It is not ready to merge and two points still need to be
addressed––aside the move of patches from ’source’ to ’arguments’.

Julia v1.6.1 requires the update of 2 core-updates packages: pcre2 and
utf8proc.  Therefore, 2 new variables are added waiting the soon
core-updates merge.  And their update in the core-updates branch will be
done in a separate patch submission.

The patch 4/5 really updating Julia is still a “draft” because the
commit message is not complete.  The real reason is twofold:

 1) an error at runtime about curl
 2) several julia packages are broken because of julia-staticarrays

About #1, it looks like:

--8<---------------cut here---------------start------------->8---
┌ Error: curl_easy_setopt: 48
└ @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36
--8<---------------cut here---------------end--------------->8---

and it is maybe related to bug#48238 [1].  Even if the example of
bug#48238 about installing the package GZip now works:

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix environment --pure --ad-hoc julia \
    -- julia -e 'using Pkg; Pkg.add("GZip"); using GZip'
WARNING: failed to select UTF-8 encoding, using ASCII
  Installing known registries into `~/.julia`
┌ Error: curl_easy_setopt: 48
└ @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36

[...]

   Added registry `General` to `~/.julia/registries/General`
   Resolving package versions...

[...]

   Installed GZip ─ v0.5.1
    Updating `~/.julia/environments/v1.6/Project.toml`
  [92fee26a] + GZip v0.5.1
    Updating `~/.julia/environments/v1.6/Manifest.toml`
  [92fee26a] + GZip v0.5.1
  [8f399da3] + Libdl
Precompiling project...
  Progress [>                                        ]  0/1
  ◐ GZip
  ◓ GZip
  ◑ GZip
  1 dependency successfully precompiled in 2 seconds
--8<---------------cut here---------------end--------------->8---


About #2, it looks like; even after updating StaticArrays.jl to the
lastest tagged version).

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build julia-staticarrays

[...]

Test Summary:     | Pass  Total
SHermitianCompact |  903    903
Skipping Base.active_repl
Skipping Base.active_repl_backend
Skipping Base.active_repl
Skipping Base.active_repl_backend
Test Failed at /gnu/store/nhwk8rnix0wdbpx0w92z4yfh2n70nh9r-julia-staticarrays-1.2.0/share/julia/packages/StaticArrays/test/ambiguities.jl:19
  Expression: length(detect_ambiguities(Base, LinearAlgebra, StaticArrays)) <= allowable_ambiguities
   Evaluated: 61 <= 0
ERROR: LoadError: LoadError: There was an error during testing
in expression starting at /gnu/store/nhwk8rnix0wdbpx0w92z4yfh2n70nh9r-julia-staticarrays-1.2.0/share/julia/packages/StaticArrays/test/ambiguities.jl:13
in expression starting at /gnu/store/nhwk8rnix0wdbpx0w92z4yfh2n70nh9r-julia-staticarrays-1.2.0/share/julia/packages/StaticArrays/test/runtests.jl:38
command "julia" "--depwarn=yes" "/gnu/store/nhwk8rnix0wdbpx0w92z4yfh2n70nh9r-julia-staticarrays-1.2.0/share/julia/packages/StaticArrays/test/runtests.jl" failed with status 1
builder for `/gnu/store/98zpvhky62m64f5xfvfna4zdriggv5l8-julia-staticarrays-1.2.0.drv' failed with exit code 1
build of /gnu/store/98zpvhky62m64f5xfvfna4zdriggv5l8-julia-staticarrays-1.2.0.drv failed
View build log at '/var/log/guix/drvs/98/zpvhky62m64f5xfvfna4zdriggv5l8-julia-staticarrays-1.2.0.drv.bz2'.
guix build: error: build of `/gnu/store/98zpvhky62m64f5xfvfna4zdriggv5l8-julia-staticarrays-1.2.0.drv' failed
--8<---------------cut here---------------end--------------->8---

And I do not have an idea why it fails… Input welcome. :-)

Note that,

  ./pre-inst-env guix environment --pure --ad-hoc julia
     -- julia -e 'using Pkg; Pkg.add("StaticArrays"); using StaticArrays'

works fine.


All the best,
simon

1: <http://issues.guix.gnu.org/48238>

Jean-Baptiste Volatier (5):
  gnu: Add utf8proc-2.6.1.
  gnu: Add pcre2-10.36.
  gnu: openlibm: Update to 0.7.4.
  DRAFT gnu: julia: Update to 1.6.1.
  gnu: julia-benchmarktools: Update to 0.7.0.

 gnu/packages/julia-xyz.scm |   4 +-
 gnu/packages/julia.scm     | 292 +++++++++++++++++++++++++------------
 gnu/packages/maths.scm     |   6 +-
 gnu/packages/pcre.scm      |  14 ++
 gnu/packages/textutils.scm |  41 ++++++
 5 files changed, 257 insertions(+), 100 deletions(-)


base-commit: bddad00bffc5837e89942756fa5b7234f63f1f47
--
2.30.1




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 12 May 2021 08:53:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 12 04:53:09 2021
Received: from localhost ([127.0.0.1]:38160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgkc9-0001mz-DH
	for submit <at> debbugs.gnu.org; Wed, 12 May 2021 04:53:09 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:52755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lgkc8-0001ma-9n
 for 48325 <at> debbugs.gnu.org; Wed, 12 May 2021 04:53:08 -0400
Received: by mail-wm1-f52.google.com with SMTP id z130so389209wmg.2
 for <48325 <at> debbugs.gnu.org>; Wed, 12 May 2021 01:53:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=v3CRXwUsSdup5err5LHLyHlsegfp1dWzYt6jgMITjPE=;
 b=a0edW9CrdWkZ8MWH46f6AFs9R5D9s2BZCREE3pmnfGcV8ui9RQZunte78lSPwDULlr
 E3zDDkXSVKZbXyqmdo3UTTw21QD6JaOF+rIO6E91hr6m0ENzifUtiq2OqlpGOWSITV/P
 S6X/Iax+El8x6DhgzmrkxZKyiQeatcEBMf3HmMWCH8CvyHM7fTn14jCppvhSw55JQgF3
 d/1qQZ5WkTBuxPSNpSDNNg2waMIhHrEzu2P6+5lHBSPxf/VWJ1vcanObocbdtCyeV24I
 1OTTpLkGt6n/KxAdmwH5MsJi9IorWX3P+LaQkKqUFmz2jtGigdwQT2SPk7eZDoR68GMe
 aCEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=v3CRXwUsSdup5err5LHLyHlsegfp1dWzYt6jgMITjPE=;
 b=Rqbn4ihvW084pBXWAlgzV7m73VyxNDr6X7ZIu8sovEJ2qVcC5cN9iHY9vTKc2zzWZT
 G+abnXnudU9z6B1mR/Aix8/fb6HJgbYWHstbQNGVYtZxae6zYls8CfZF+vFpnadqX820
 dGswQbsqHIT8aRRhBOD3rl2/Z1qhc56a2DHhnEsXw7iCfyfwTaaXhyRTv0UTGKUwyoIS
 YsnklpC+iiRxBD3uQclecQUCHUgXH3NHOrd1jLOe+JQg3e1nQmLnsRyccG00rB7xR9bE
 /6AjMWzfpqC2rzkmC6usANnDhojCW+bzvM/Vyw4BK2kPLIsAHqMtvHx+yMUq5NWO0ZDJ
 iXfA==
X-Gm-Message-State: AOAM532TevCH+NVkF15tRx+u5n8+lZv6ZcvcH1uoJebeu5KEY19B+jLN
 IiEDce5hI4qC8umy7D4n3BTj3BsgDlc=
X-Google-Smtp-Source: ABdhPJzPsaxLyKJ5eFj+/O1DEjeWYYX7l1xZxGA0+jqvfBIpOLnNXXEUZR1nIxyWCQdPg5iXeQlvbg==
X-Received: by 2002:a1c:4d01:: with SMTP id o1mr38234536wmh.42.1620809582400; 
 Wed, 12 May 2021 01:53:02 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id y21sm5808370wmi.15.2021.05.12.01.53.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 12 May 2021 01:53:01 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Jean-Baptiste Volatier <jbv@HIDDEN>, =?utf-8?Q?Nicol=C3=B2?= Balzarotti
 <anothersms@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
In-Reply-To: <H2qZARtXUCbGTx5BAAi-uxz73f7m7nwkovZHcIRc6pqFZJwkT74htl1X73teqI0DKbCwCakB5r7ZkP_grXVx2w==@pm.me>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
 <86zgx11to1.fsf@HIDDEN>
 <87cztxfu9r.fsf@HIDDEN>
 <H2qZARtXUCbGTx5BAAi-uxz73f7m7nwkovZHcIRc6pqFZJwkT74htl1X73teqI0DKbCwCakB5r7ZkP_grXVx2w==@pm.me>
Date: Wed, 12 May 2021 10:43:39 +0200
Message-ID: <86fsysibpg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 11 May 2021 at 11:38, Jean-Baptiste Volatier <jbv@HIDDEN> wrote:
> I splitted the patch in 5. If it is not possible to update pcre2, we only
> need to disable a couple of tests.

Well, 1 tests are failing, if I am correct.  However, I am not sure it
is an option to remove this dependency.  The package utf8proc leads also
to a big rebuild, for instance =E2=80=99subversion=E2=80=99 which implies a=
 lot. :-)

I have not finished yet to test and I should send a patch set today or
tomorrow=E2=80=A6

> zimoun <zimon.toutoune@HIDDEN> writes:
>> I am not convinced by this move of patches from =E2=80=99source=E2=80=99=
 to =E2=80=99phases=E2=80=99.
>> My understanding about the usual way is to let the patch in the source
>> field.  Is this move motivated by something special?
>
> Yes. Some of the patches need to be applied with the "-p1" flag some with
> "-p2". In the source field it is not possible to do so. So I would
> need to modify beforehand the "p2" patches for example, and I could not
> think of a nice way to do that without including the patches directly
> in gnu/packages/patches which does not seem like a nice option.
> And since all these patches are in julia source, I thought it was
> nicer this way.

=E2=80=A6because I am not clear with this, yet.


>>> +               (link "zlib" "usr/lib/julia/" "libz\\.so")
>
>> Does this fix
>>
>>   <http://issues.guix.gnu.org/48238>
>
>> ?  If yes, cool and thank you! :-)  So it should be mentioned in the
>> commit message, something like:
>
> No it does not. Reason for this is that the install target of the
> makefile copies a bunch of libraries from the build directory
> to the install directory. I guess "normally" you rely on the makefile
> to also build these libraries for you. In our case many libraries are
> missing in this folder at the end of the build target
> so I create the symlinks so the install target works
> and also julia can later on find the libraries.
> For some reason utf8proc and libLLVM-11 need to be symlinked directly
> in the install directory, this is done in the next phase.

Thanks for the explanations.  Let discuss that in the aforementioned
bug#48238. :-)

>>> +       ("nss-certs" ,nss-certs)         ; required to precompile
>
>> Hum?  Is it really necessary?
>
> I think it is necessary for some of the tests. So I moved it to
> native-inputs is that correct ?

Yes, that=E2=80=99s my understanding.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 13:46:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 09:46:56 2021
Received: from localhost ([127.0.0.1]:35454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgSiu-0002PZ-Fv
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 09:46:56 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:36557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbv@HIDDEN>) id 1lgSis-0002JY-CX
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 09:46:55 -0400
Date: Tue, 11 May 2021 13:46:30 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pm.me; s=protonmail;
 t=1620740807; bh=iOihJSCvS3kCyV6+n6k2BNSDVpXjIuMWEcraioVVQeY=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=B257b7Bv/9HlEFCWKmQmQAg06ABLYQ6rkasz1SwwnBfkf7g9p7DQSf5HhoL9M7jnx
 tQxuT724sP7xFH4plTZ+Ysxx7vS8VRNe4QDHgtUHPK2Rg5Ntalro8vXTd0nsLaIdNV
 MdVWmtJyOtyQm1VfEFFzuO5WRAzAQzW8nP9NisYypHMp2dN/RuTftWqboQe51Gb7D+
 MgpPgRAV1665l2rn65agR4wTQN6JC8GRgOFw8vUejdvgmjXgop9GGhkKv7Pnrah0QU
 r7kywmekYqcbjyr2bnQIrPh5cvEQd78DdKejZmCTVkQU7+iDlIdbsTYg8RF8ru2cUV
 yMDGl3oGa6bXA==
To: zimoun <zimon.toutoune@HIDDEN>
From: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: bug#48325: update of julia to 1.6.1
Message-ID: <50x9qMaoufOZcJZDXjSWQx89qYAfEviq-hI8xn_dqlIULOUI3LtG-MIMPd-RAjAv6Cx9CIEar9i47GP3t6l6rg==@pm.me>
In-Reply-To: <857dk58lcf.fsf_-_@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
 <86zgx11to1.fsf@HIDDEN>
 <87cztxfu9r.fsf@HIDDEN>
 <857dk58lcf.fsf_-_@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org,
 =?utf-8?Q?Nicol=C3=B2_Balzarotti?= <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jean-Baptiste Volatier <jbv@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

zimoun <zimon.toutoune@HIDDEN> wrote:

>> =E2=94=8C Error: curl_easy_setopt: 48
>> =E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1=
/usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36
>
> Soemthing appears to me wrong somewhere. Why does the build directory
> appear in the output directory? This reference should not appear, IMHO.

I think this is Julia related, during the build process the code from
the stdlib is precompiled in the sysimage and the paths are stored then.
I sometimes create custom sysimage to package some julia based apps
and I have the same behavior on a non-Guix system.
Some info about sysimages [1] from the doc of PackageCompiler, a project
that makes it easy to create custom sysimages.
That could also be a potential future improvement, make it easy for users
to create variants of the julia guix package with different sysimages.
That way we can make it much faster to load julia packages that are not par=
t
of stdlib, Plots.jl for example.

[1] https://julialang.github.io/PackageCompiler.jl/dev/sysimages/#What-is-a=
-sysimage-1

> Well, let first converge to a patch set updating Julia then let discuss
> if this very same patch set fixes the bug or if the fix will be done in
> another patch. WDYT?

Agreed.

Cheers,
JB




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 13:14:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 09:14:00 2021
Received: from localhost ([127.0.0.1]:35361 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgSD1-00042o-Tu
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 09:14:00 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:47026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lgSCz-00042a-I6
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 09:13:58 -0400
Received: by mail-wr1-f49.google.com with SMTP id x5so20081935wrv.13
 for <48325 <at> debbugs.gnu.org>; Tue, 11 May 2021 06:13:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=eOwTWehGTaIPZBh/83lIP76nDvKTrzwPCN4MkUMKNWk=;
 b=QuRB9qtph9mQ+HIIg8RlPNnQrRGwWpQVPUTpkhR3euqmlM5btI1XjXOJPr3HRX9ViM
 0yWNa3xwtbtEa9PwxyR9ztMH0JtYmzHjeLoN/dqO2okVPuCRRjx8iIsV+6jl7jqofJIB
 rPUPpOpC0EYSG7UB7DDzk0+eKcz5ZUeOvdRyQZoEZEl1/vxvsTpSAAvnh4FqJFX24Lhn
 59t2vIW/pu+nxxoJVicheR/hJWQNWctaH7bLkpiiHPY6X5MEgjxmdi02bJMAWrM7ABqM
 fN6DC59Y5AQryo3tE677LOE1YAgFxCu1Fc1z+o4SFxIznB4tG7/UJCuAV0WmbFnFae5x
 NmOQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=eOwTWehGTaIPZBh/83lIP76nDvKTrzwPCN4MkUMKNWk=;
 b=JMRkI7ogAbEUZgXg8fvur82GZCvdeniNBwKU6h7bUxc16so1508+mX7Y6DTzZOQUl7
 /a/jI8aEtKSxP8BEETB5ceUtnT0moSkKfC1Cji5BNd6fyn7xqDKW0NbTYERMqPLnr8rm
 LUqZ/rJPJl2FI8eAeCTCdZejsaUB1lauAAbdjzqNylt3YQoP8Ny8OcI4EzzBYYXG1jfC
 +Ajz7r+2KpGpxBNLo8immktNrNlqUHDK7Chsj2xtCUJLVTSOWa5L84KX/+CPM+mWRkQD
 kspEJ6VTDangThvCKUgIxAmt0DQEewcPcAY5UDZuEFsq7dErda4GFvh2PEXvUXsJIw8z
 OWdA==
X-Gm-Message-State: AOAM5319R2YVr2QXAAVnq5b0FOeVRnDVzTHj9kY21QTSfb0it3q2gOb0
 3a5+JltgidSa709e0fMbWxyMEJAHxwI=
X-Google-Smtp-Source: ABdhPJzNYCoa9Iaxo3ww3Bb/wk6rWDSv38vCuTPrlT0qOnOpi2+va4+uGiPt3o+d3xNRqLSc2y6icw==
X-Received: by 2002:adf:fd81:: with SMTP id d1mr37700541wrr.37.1620738831757; 
 Tue, 11 May 2021 06:13:51 -0700 (PDT)
Received: from bioinfomeary01-Precision-7820-Tower ([193.48.40.110])
 by smtp.gmail.com with ESMTPSA id m18sm27713195wrn.69.2021.05.11.06.13.50
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 May 2021 06:13:51 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
Subject: Re: bug#48325: update of julia to 1.6.1
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
 <86zgx11to1.fsf@HIDDEN>
 <87cztxfu9r.fsf@HIDDEN>
Date: Tue, 11 May 2021 15:13:20 +0200
In-Reply-To: <87cztxfu9r.fsf@HIDDEN>
 (=?utf-8?Q?=22Nicol=C3=B2?= Balzarotti"'s message of "Tue, 11 May 2021
 12:18:40 +0200")
Message-ID: <857dk58lcf.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: Jean-Baptiste Volatier <jbv@HIDDEN>, 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Nicol=C3=B2,

On mar., 11 mai 2021 at 12:18, Nicol=C3=B2 Balzarotti <anothersms@HIDDEN=
> wrote:

>>>>    <http://issues.guix.gnu.org/48238>

[...]

>>> (but it printed
>>>
>>> =E2=94=8C Error: curl_easy_setopt: 48
>>> =E2=94=94 @ Downloads.Curl
>>> ~/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/=
Downloads/src/Curl/utils.jl:36
>>>
>>> which might be worth investigating)

[...]

> Same error
> =E2=94=8C Error: curl_easy_setopt: 48
> =E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/=
usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36

Soemthing appears to me wrong somewhere.  Why does the build directory
appear in the output directory?  This reference should not appear, IMHO.

Applying the last 5 patches, I get (without-tests, just to speedup the
feedback :-)):

  ./pre-inst-env guix build --no-grafts julia --without-tests=3Djulia
  /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1

  find $(./pre-inst-env guix build --no-grafts julia --without-tests=3Djuli=
a) \
       -type f -exec grep '/tmp/guix-build-julia-1.6.1' {} \;
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/b=
in/.julia-real correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/l=
ib/julia/libllvmcalltest.so correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/l=
ib/julia/libjulia-internal.so.1.6 correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/l=
ib/julia/libccalltest.so.debug correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/l=
ib/julia/sys.so correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/l=
ib/libjulia.so.1.6 correspondant
  Fichier binaire /gnu/store/xbg7kwpylal63gqqb84185j54ib52aji-julia-1.6.1/s=
hare/julia/base.cache correspondant

Well, let first converge to a patch set updating Julia then let discuss
if this very same patch set fixes the bug or if the fix will be done in
another patch.  WDYT?


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 11:39:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 07:39:14 2021
Received: from localhost ([127.0.0.1]:35203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgQjA-0003SW-7E
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 07:39:14 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:62548)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbv@HIDDEN>) id 1lgQj6-0003Rx-Rh
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 07:39:03 -0400
Date: Tue, 11 May 2021 11:38:29 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pm.me; s=protonmail;
 t=1620733129; bh=LQUYvgkV0W/a7ZUjnFkW0xQp7K5d0uZwJBuK4OFYcRI=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=YHLwtEcZKaZu3wJjYgisTy1jXAG575sXc6pGZ9bCz4OpmiQI9SDdC0QPRArFfNw7K
 I/X0SER0BWaf0UnoEMh724PJoIdSx5FAVyuT/8YjNnH0ZDUk+j1EYSDBtXcOy/Wl5F
 YZonM313eh0uuab4vtF5BISvoh0N47IWFNit8lu96G4RBajOX1qfVR1ukrf2EwStlD
 p7qMzEamBJAQt9AlYNF+LFNUP/FnJ5SLk2qx4gA9DPmgIqefG/7vziEMPMSlATq/Ua
 gII4Yehc33nJpM+KNp9xHcAsx/CnIgVngFpELF/W3u7bYXDiPUBluXKQ2NXrvllF30
 udNTA9/B9b58g==
To: =?utf-8?Q?Nicol=C3=B2_Balzarotti?= <anothersms@HIDDEN>
From: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
Message-ID: <H2qZARtXUCbGTx5BAAi-uxz73f7m7nwkovZHcIRc6pqFZJwkT74htl1X73teqI0DKbCwCakB5r7ZkP_grXVx2w==@pm.me>
In-Reply-To: <87cztxfu9r.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
 <86zgx11to1.fsf@HIDDEN>
 <87cztxfu9r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM"
X-Spam-Status: No, score=0.8 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,PDS_OTHER_BAD_TLD
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I splitted the patch in 5. If it is not possible to update
    pcre2, we only need to disable a couple of tests. zimoun <zimon.toutoune@HIDDEN>
    writes: > I am not convinced by this move of patches from ’source’ to
    ’phases’. > My understanding about the usual way is to let the patch
   in the source > fie [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.131 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [185.70.40.131 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: nixo.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jean-Baptiste Volatier <jbv@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

This is a multi-part message in MIME format.

--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

I splitted the patch in 5. If it is not possible to update pcre2, we only
need to disable a couple of tests.

zimoun <zimon.toutoune@HIDDEN> writes:
> I am not convinced by this move of patches from =E2=80=99source=E2=80=
=99 to =E2=80=99phases=E2=80=99.
> My understanding about the usual way is to let the patch in the source
> field.  Is this move motivated by something special?

Yes. Some of the patches need to be applied with the "-p1" flag some with
"-p2". In the source field it is not possible to do so. So I would
need to modify beforehand the "p2" patches for example, and I could not
think of a nice way to do that without including the patches directly
in gnu/packages/patches which does not seem like a nice option.
And since all these patches are in julia source, I thought it was
nicer this way.

> I have not read the Julia ChangeLog.  Do they remove Arpack?  This
> should be mentioned in the commit message.

Yes they did, I updated the commit message. Same with the other new
dependencies.

>> +               (link "zlib" "usr/lib/julia/" "libz\\.so")

> Does this fix
>
>   <http://issues.guix.gnu.org/48238>

> ?  If yes, cool and thank you! :-)  So it should be mentioned in the
> commit message, something like:

No it does not. Reason for this is that the install target of the
makefile copies a bunch of libraries from the build directory
to the install directory. I guess "normally" you rely on the makefile
to also build these libraries for you. In our case many libraries are
missing in this folder at the end of the build target
so I create the symlinks so the install target works
and also julia can later on find the libraries.
For some reason utf8proc and libLLVM-11 need to be symlinked directly
in the install directory, this is done in the next phase.

>> +       ("nss-certs" ,nss-certs)         ; required to precompile

> Hum?  Is it really necessary?

I think it is necessary for some of the tests. So I moved it to
native-inputs is that correct ?

>> +       ("glibc-locales" ,glibc-locales)

> Idem.  Is it really necessary?  Because it is a =E2=80=9Cbig=E2=80=9C pac=
kages which
> drastically increases the closure size of the Julia package.

It's not! Good find, this was committed inadvertently when I was
looking for the reason why some tests were complaining of not finding
locales. Turns out that these tests were happening in a julia process
started without the GUIX_LOCPATH environment variable.

Nicol=C3=B2 Balzarotti <anothersms@HIDDEN> wrote:

> julia  -e 'using Pkg; Pkg.add("GZip"); using GZip'

> Same error
> =E2=94=8C Error: curl_easy_setopt: 48
> =E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/=
usr/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36

I have the same "bug" here though everything works correctly. I
suspect it is due to a mismatch in the libcurl version.

Cheers,
JB.

--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/x-patch; name=0005-gnu-julia-benchmarktools-update-to-0.7.0.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0005-gnu-julia-benchmarktools-update-to-0.7.0.patch

RnJvbSA1NzY0M2VkZTI1YzJiZjg2MGM4NDdmMzM1NTI5NWIwZTM1MTg0MmE1IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKZWFuLUJhcHRpc3RlIFZvbGF0aWVyIDxqYnZAcG0ubWU+CkRh
dGU6IFR1ZSwgMTEgTWF5IDIwMjEgMTA6NTI6MTcgKzAyMDAKU3ViamVjdDogW1BBVENIIDUvNV0g
Z251OiBqdWxpYS1iZW5jaG1hcmt0b29sczogdXBkYXRlIHRvIDAuNy4wCgotLS0KIGdudS9wYWNr
YWdlcy9qdWxpYS14eXouc2NtIHwgNCArKy0tCiAxIGZpbGUgY2hhbmdlZCwgMiBpbnNlcnRpb25z
KCspLCAyIGRlbGV0aW9ucygtKQoKZGlmZiAtLWdpdCBhL2dudS9wYWNrYWdlcy9qdWxpYS14eXou
c2NtIGIvZ251L3BhY2thZ2VzL2p1bGlhLXh5ei5zY20KaW5kZXggZGIzZTNiODQ2ZC4uYjYyNzJj
MGI0ZCAxMDA2NDQKLS0tIGEvZ251L3BhY2thZ2VzL2p1bGlhLXh5ei5zY20KKysrIGIvZ251L3Bh
Y2thZ2VzL2p1bGlhLXh5ei5zY20KQEAgLTEwMCw3ICsxMDAsNyBAQCBiZSBHUFUgY29tcGF0aWJs
ZSB3aXRob3V0IHRocm93aW5nIGF3YXkgdGhlIHdyYXBwZXIuIikKIChkZWZpbmUtcHVibGljIGp1
bGlhLWJlbmNobWFya3Rvb2xzCiAgIChwYWNrYWdlCiAgICAgKG5hbWUgImp1bGlhLWJlbmNobWFy
a3Rvb2xzIikKLSAgICAodmVyc2lvbiAiMC41LjAiKQorICAgICh2ZXJzaW9uICIwLjcuMCIpCiAg
ICAgKHNvdXJjZQogICAgICAob3JpZ2luCiAgICAgICAgKG1ldGhvZCBnaXQtZmV0Y2gpCkBAIC0x
MDksNyArMTA5LDcgQEAgYmUgR1BVIGNvbXBhdGlibGUgd2l0aG91dCB0aHJvd2luZyBhd2F5IHRo
ZSB3cmFwcGVyLiIpCiAgICAgICAgICAgICAgKGNvbW1pdCAoc3RyaW5nLWFwcGVuZCAidiIgdmVy
c2lvbikpKSkKICAgICAgICAoZmlsZS1uYW1lIChnaXQtZmlsZS1uYW1lIG5hbWUgdmVyc2lvbikp
CiAgICAgICAgKHNoYTI1NgotICAgICAgICAoYmFzZTMyICIwbnN4MjFtM2k1aDIybGtneXJtZmo2
cjA4NXZhNmFnNDBraHdzc3FzOHk3bDB3ejk4bHZwIikpKSkKKyAgICAgICAgKGJhc2UzMiAiMDAw
aXp3OXBqN2NiaDlyMzVubndnMmlqa2I5ZHBmZDVua2wyODg5YjhiMmRwc2g0Zmk2MyIpKSkpCiAg
ICAgKGJ1aWxkLXN5c3RlbSBqdWxpYS1idWlsZC1zeXN0ZW0pCiAgICAgKHByb3BhZ2F0ZWQtaW5w
dXRzIGAoKCJqdWxpYS1qc29uIiAsanVsaWEtanNvbikpKQogICAgIChob21lLXBhZ2UgImh0dHBz
Oi8vZ2l0aHViLmNvbS9KdWxpYUNJL0JlbmNobWFya1Rvb2xzLmpsIikKLS0gCjIuMzEuMQoK

--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/x-patch; name=0001-gnu-utf8proc-update-to-2.6.1.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-utf8proc-update-to-2.6.1.patch
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--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/x-patch; name=0002-gnu-pcre2-update-to-10.56.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0002-gnu-pcre2-update-to-10.56.patch

RnJvbSA5NmVmNzdiYmE4MThmMjI2MDY0NmFhNzhjYzRhYmJkMWQ2OWZlMDYzIE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKZWFuLUJhcHRpc3RlIFZvbGF0aWVyIDxqYnZAcG0ubWU+CkRh
dGU6IFR1ZSwgMTEgTWF5IDIwMjEgMTA6NTA6NTEgKzAyMDAKU3ViamVjdDogW1BBVENIIDIvNV0g
Z251OiBwY3JlMjogdXBkYXRlIHRvIDEwLjU2CgotLS0KIGdudS9wYWNrYWdlcy9wY3JlLnNjbSB8
IDQgKystLQogMSBmaWxlIGNoYW5nZWQsIDIgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlvbnMoLSkK
CmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvcGNyZS5zY20gYi9nbnUvcGFja2FnZXMvcGNyZS5z
Y20KaW5kZXggYWI0ODE2ODU2Ny4uNDJiMjA1MjU5OCAxMDA2NDQKLS0tIGEvZ251L3BhY2thZ2Vz
L3BjcmUuc2NtCisrKyBiL2dudS9wYWNrYWdlcy9wY3JlLnNjbQpAQCAtODksMTQgKzg5LDE0IEBA
IFBPU0lYIHJlZ3VsYXIgZXhwcmVzc2lvbiBBUEkuIikKIChkZWZpbmUtcHVibGljIHBjcmUyCiAg
IChwYWNrYWdlCiAgICAgKG5hbWUgInBjcmUyIikKLSAgICAodmVyc2lvbiAiMTAuMzUiKQorICAg
ICh2ZXJzaW9uICIxMC4zNiIpCiAgICAgKHNvdXJjZSAob3JpZ2luCiAgICAgICAgICAgICAgICht
ZXRob2QgdXJsLWZldGNoKQogICAgICAgICAgICAgICAodXJpIChzdHJpbmctYXBwZW5kICJtaXJy
b3I6Ly9zb3VyY2Vmb3JnZS9wY3JlL3BjcmUyLyIKICAgICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgICB2ZXJzaW9uICIvcGNyZTItIiB2ZXJzaW9uICIudGFyLmJ6MiIpKQogICAgICAgICAg
ICAgICAoc2hhMjU2CiAgICAgICAgICAgICAgICAoYmFzZTMyCi0gICAgICAgICAgICAgICAgIjA0
czZrbWs5cWRkNHJqejQ3N2g1NDdqNGJ4N2hmejB5YWxwdnJtMzgxcnFjNWdoYWlqd3ciKSkpKQor
ICAgICAgICAgICAgICAgICIwcDM2OTltc3BzMDdwNDBnOTQyNmx2eGEzYjQxcmc3azJmbjdxeGwy
am0wa2g0a2trdng5IikpKSkKICAgIChidWlsZC1zeXN0ZW0gZ251LWJ1aWxkLXN5c3RlbSkKICAg
IChpbnB1dHMgYCgoImJ6aXAyIiAsYnppcDIpCiAgICAgICAgICAgICAgKCJyZWFkbGluZSIgLHJl
YWRsaW5lKQotLSAKMi4zMS4xCgo=

--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/x-patch; name=0003-gnu-openlibm-update-to-0.7.4.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0003-gnu-openlibm-update-to-0.7.4.patch

RnJvbSA3NWExOTY3MzBlZjUwN2VjNzViY2Y2NzMwMDUxNTRiNmM3ZTBjMmE0IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBKZWFuLUJhcHRpc3RlIFZvbGF0aWVyIDxqYnZAcG0ubWU+CkRh
dGU6IFR1ZSwgMTEgTWF5IDIwMjEgMTA6NTE6MTEgKzAyMDAKU3ViamVjdDogW1BBVENIIDMvNV0g
Z251OiBvcGVubGlibTogdXBkYXRlIHRvIDAuNy40CgotLS0KIGdudS9wYWNrYWdlcy9tYXRocy5z
Y20gfCA2ICsrKy0tLQogMSBmaWxlIGNoYW5nZWQsIDMgaW5zZXJ0aW9ucygrKSwgMyBkZWxldGlv
bnMoLSkKCmRpZmYgLS1naXQgYS9nbnUvcGFja2FnZXMvbWF0aHMuc2NtIGIvZ251L3BhY2thZ2Vz
L21hdGhzLnNjbQppbmRleCA5ZjdiZGI5YmIxLi43YmU1ZDQxOGU3IDEwMDY0NAotLS0gYS9nbnUv
cGFja2FnZXMvbWF0aHMuc2NtCisrKyBiL2dudS9wYWNrYWdlcy9tYXRocy5zY20KQEAgLTM5NTks
NyArMzk1OSw3IEBAIGFjY2VzcyB0byBCTElTIGltcGxlbWVudGF0aW9ucyB2aWEgdHJhZGl0aW9u
YWwgQkxBUyByb3V0aW5lIGNhbGxzLiIpCiAoZGVmaW5lLXB1YmxpYyBvcGVubGlibQogICAocGFj
a2FnZQogICAgIChuYW1lICJvcGVubGlibSIpCi0gICAgKHZlcnNpb24gIjAuNi4wIikKKyAgICAo
dmVyc2lvbiAiMC43LjQiKQogICAgIChzb3VyY2UKICAgICAgKG9yaWdpbgogICAgICAgIChtZXRo
b2QgZ2l0LWZldGNoKQpAQCAtMzk2OCwxMSArMzk2OCwxMSBAQCBhY2Nlc3MgdG8gQkxJUyBpbXBs
ZW1lbnRhdGlvbnMgdmlhIHRyYWRpdGlvbmFsIEJMQVMgcm91dGluZSBjYWxscy4iKQogICAgICAg
ICAgICAgIChjb21taXQgKHN0cmluZy1hcHBlbmQgInYiIHZlcnNpb24pKSkpCiAgICAgICAgKGZp
bGUtbmFtZSAoZ2l0LWZpbGUtbmFtZSBuYW1lIHZlcnNpb24pKQogICAgICAgIChzaGEyNTYKLSAg
ICAgICAgKGJhc2UzMiAiMDh3ZmNobW1yNTIwMGZ2bW4xa3dxOWJ5YzFmaHNxNDZobjB5NWs4c2Nk
bDc0NzcxYzdnaCIpKSkpCisgICAgICAgIChiYXNlMzIgIjFhem1zMGxweGI3dnhiM2JsbjVseXow
d3B3eDZqbnpiZmZrY2xjbHBxMnY1YWl3OGQxNGkiKSkpKQogICAgIChidWlsZC1zeXN0ZW0gZ251
LWJ1aWxkLXN5c3RlbSkKICAgICAoYXJndW1lbnRzCiAgICAgIGAoIzptYWtlLWZsYWdzCi0gICAg
ICAgKGxpc3QgKHN0cmluZy1hcHBlbmQgInByZWZpeD0iIChhc3NvYy1yZWYgJW91dHB1dHMgIm91
dCIpKSkKKyAgICAgICAobGlzdCAoc3RyaW5nLWFwcGVuZCAicHJlZml4PSIgKGFzc29jLXJlZiAl
b3V0cHV0cyAib3V0IikpICJDQz1nY2MiKQogICAgICAgICM6cGhhc2VzCiAgICAgICAgOzsgbm8g
Y29uZmlndXJlIHNjcmlwdAogICAgICAgIChtb2RpZnktcGhhc2VzICVzdGFuZGFyZC1waGFzZXMg
KGRlbGV0ZSAnY29uZmlndXJlKSkKLS0gCjIuMzEuMQoK

--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM
Content-Type: text/x-patch; name=0004-gnu-julia-update-to-1.6.1.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0004-gnu-julia-update-to-1.6.1.patch
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--b1_Q6SIsFZSmHf1M55fIse2mnoRhCux007Wk4MLwCo5iM--





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 10:18:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 06:18:50 2021
Received: from localhost ([127.0.0.1]:35058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgPTV-00059p-NQ
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 06:18:49 -0400
Received: from mail-ej1-f47.google.com ([209.85.218.47]:44695)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lgPTU-00059Z-8k
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 06:18:48 -0400
Received: by mail-ej1-f47.google.com with SMTP id gx5so28912517ejb.11
 for <48325 <at> debbugs.gnu.org>; Tue, 11 May 2021 03:18:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=wBfOXG8ygNgxsou1vkz8Q7GkBC68ASIFXDS9V2Rphlg=;
 b=SFk1AsYKxx5mFgJ7oEVbIiBG3yPQkBFJ6ZsMZQ+E0J6ObL8Cp5ev9jLYdKFieEaQjz
 lsJQKFGJQlADIIIKj7ixDr0QIYufVs3+FtCBHcA3dQeMhIxCXggrJpP1hMpBMBYYzMv+
 lp+WwJJl7RGtHX3maMBR3cdqHDMgHVICMpSh8mmpPWgTYl3DbOCFVGkL1CvvtHZtg6b+
 fZgmM1KSIsFsydEV3AQiVEXWtC+P6Rjt5g/2kM9C5jhfHvTMEkPSy7IRcE5aQd8D5twm
 cyCAkALxmjBAfqD1Bqc59GM7Cysce+Fh1jMAzSYE1fUMD/4BrcN+1KXDTiHG/6YlUQz9
 WJYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=wBfOXG8ygNgxsou1vkz8Q7GkBC68ASIFXDS9V2Rphlg=;
 b=NmCoNpdDrFvNU3LJkjF5PlzVRfzRdaZmiRfARH1w0PCtKCHhdpG9lj4TkQWXm3o2sw
 iVRhv2b6ltez5T9PxsErz2x6X1U5PWvY/mJLaKQF0kmxUFlRkCwqWwITsbBckKILt60R
 eL/lgRzevB/2Rh+oKGkA3hv6NdFHRcyXQBWXdjqj+BJx4QI/aN77dU1gJc/8dOcz1aXM
 hgWZ2AG5jttt4kHRVLkIS3h4AfKY6rGod4VS7UJGdkyuKvfoRD5jWx120V1uPr6PvFWv
 qh1s1GIU5MJlm0vywRds504IJdTLiqH3bBnS3ORXd/OKmmpfeeNIwfyLPXXlKoF+z5R5
 91bw==
X-Gm-Message-State: AOAM533T1MYw3mfT5WIZ3Wp0+RRy/s0pS7W4eYvo6xEWG6YcGO9TyC7l
 /1zluMnBEf/4GjU3lCwzdxwzmcEkIMw=
X-Google-Smtp-Source: ABdhPJzNQ5qsa1rzdOgw73SNEWIpsD5Sh0FvpMT8kYLjzkaNwqWmedRtSYDyAJiepTQf2VfTsZE16w==
X-Received: by 2002:a17:906:1617:: with SMTP id
 m23mr32027530ejd.352.1620728322416; 
 Tue, 11 May 2021 03:18:42 -0700 (PDT)
Received: from guixSD (host-79-17-142-89.retail.telecomitalia.it.
 [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id b21sm11283902ejg.80.2021.05.11.03.18.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 May 2021 03:18:41 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
In-Reply-To: <86zgx11to1.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
 <86zgx11to1.fsf@HIDDEN>
Date: Tue, 11 May 2021 12:18:40 +0200
Message-ID: <87cztxfu9r.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

zimoun <zimon.toutoune@HIDDEN> writes:

> Hi,
>
> On Tue, 11 May 2021 at 11:18, Nicol=C3=B2 Balzarotti <anothersms@HIDDEN=
m> wrote:
>> zimoun <zimon.toutoune@HIDDEN> writes:
>
>>> Please, split this patch.  One per update, i.e., 5 patches I guess.
>>
>> Some changes should probably be committed together since current julia
>> will fail to build with newer deps versions, but at least for utf8proc
>> I'm sure this can be splitted.
>
> The issue is that the update of pcre2 is a =E2=80=99core-updates=E2=80=99=
 change, IIUC:
>
>   guix refresh -l pcre2
>
> so the package cannot be simply updated.  This one also should be
> splitted, IMHO.
>
> Is the current julia@HIDDEN =E2=80=99will fail=E2=80=99 for sure or probab=
ly =E2=80=99would fail=E2=80=99
> with openlibm@HIDDEN and julia-benchmarktools@HIDDEN?  I have not tried
> yet. :-)
>
>
>>>> +         (add-before 'install 'symlink-libraries
>>>
>>> [...]
>>>
>>>> +               (link "zlib" "usr/lib/julia/" "libz\\.so")
>>>
>>> Does this fix
>>>
>>>    <http://issues.guix.gnu.org/48238>
>>>
>>> ?
>>> Does it make sense?
>>>
>> I just tried running
>>> cd /gnu/store/fp5by15552ihyppxppigmbxs981rd08h-julia-1.6.1
>>> find -type f -exec grep '/tmp/guix-build-julia-1.5.3.drv-0' {} \;
>>
>> and it returns nothing.  Also, your Pkg.add("GZip"); using GZip worked
>
> Cool!
>
>> (but it printed
>>
>> =E2=94=8C Error: curl_easy_setopt: 48
>> =E2=94=94 @ Downloads.Curl
>> ~/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/D=
ownloads/src/Curl/utils.jl:36
>>
>> which might be worth investigating)
>
> Thanks for trying and reporting.  Did you use a --pure or --container
> environment?

Nope, I just changed home with
> HOME=3D/tmp julia
>
I tried with a container now:

./pre-inst-env guix environment --ad-hoc julia nss-certs --container
export SSL_CERT_DIR=3D$GUIX_ENVIRONMENT/etc/ssl/certs/
export SSL_CERT_FILE=3D$GUIX_ENVIRONMENT/etc/ssl/certs/ca-certificates.crt
export GIT_SSL_CAINFO=3D"$SSL_CERT_FILE"
julia  -e 'using Pkg; Pkg.add("GZip"); using GZip'

Same error
=E2=94=8C Error: curl_easy_setopt: 48
=E2=94=94 @ Downloads.Curl /tmp/guix-build-julia-1.6.1.drv-0/julia-1.6.1/us=
r/share/julia/stdlib/v1.6/Downloads/src/Curl/utils.jl:36

But GZip works (I tried the example on the homepage:
import GZip

fh =3D GZip.open("infile.gz")
s =3D readline(fh)

close(fh))

> Well, =E2=80=98guix size glibc-locales=E2=80=99 reports ~922MiB.  Althoug=
h this package
> is probably already on the store, I would prefer to avoid to add it as
> an input.  Currently, =E2=80=99guix size julia=E2=80=99 says ~1080MiB.  H=
ow much with
> the glibc-locales as inputs?

./pre-inst-env guix size julia
1205.6 MiB

glibc-locales does not appear in the closure size (I attached the
output).

The biggest change seams to lie in Julia itself (~+130Mb)


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=size.log
Content-Transfer-Encoding: base64
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=
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 09:56:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 05:56:10 2021
Received: from localhost ([127.0.0.1]:35040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgP7Z-0004TK-Un
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 05:56:10 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:33636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lgP7X-0004T5-Vq
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 05:56:08 -0400
Received: by mail-wr1-f43.google.com with SMTP id n2so19543828wrm.0
 for <48325 <at> debbugs.gnu.org>; Tue, 11 May 2021 02:56:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=kZWBDJ5oKRR+NfEjdecTQv8DRGKD8MtLt3y+HE+4fTI=;
 b=nE6esDhan9v1W71cvPYGpVl9VdJGUIlr5hEvpu/ztiKNW2ehf+AxlDDXjbWd9lUNvj
 TI4bmK3HJ+AlGnZkLs3O5hAlCeElPPz62EENOq7dPmmBmhh3EViiF3T2PdEnFE5+obU+
 TEYK2h9bZ44iCCh4r6u0r1NWl5XBUyy43gMD5XPwtDWnsq+Fuhqv8lIC7QeCZ5cJhgQ0
 /wcjQK1zJojPNCneyJzqi4P4xcEOWGqPqNUtzSGHgBRceiz5KEb6X6/zhIa8HU7NNyhh
 w2LBfq9uKrjqoBhCeH4Tz9MNyHkdDi8lVwbSjLTEuFnSuDy0707jw9wTDxDjoUb4ZQef
 JX+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=kZWBDJ5oKRR+NfEjdecTQv8DRGKD8MtLt3y+HE+4fTI=;
 b=QxFM3pnK0xJKPrWt113pwnvQDqgfJwG1FJo6u6/2QBGyWocDymVQXdEI0PeDHKxQfY
 KkLKiK3ML2pxGsO5mP1ObCVJwBSm9rFsYAwRs+0/2v6d7vX/ADXq1UBCDMX6RGn/2vqh
 ENCPU8Lfd3qorWQsE0ZoPbYATWoe86gYZSzrECSiALwMoPBDyt/9BIPpBzWzXAp4TpGZ
 Jj0D/KkHwcrIsRQFX50UZpA2hBAbHOFqxPVm7BNptO6TSlSMXfO3sW6l7x/GmG9rnN/O
 +RuP+lb6HMoEZpXVQ65pT7OYBt8OZJOtOowD2r9vFJFl3dWVP+CJvWvcj5//kEMMwa4I
 lvyQ==
X-Gm-Message-State: AOAM531F6pazxxe0vfPLYre4raxQ/ywISZjPg1pTieAZp/qtiF/q+Ftz
 /YARmunNfxeThTaA15w8CYv53myWTW0=
X-Google-Smtp-Source: ABdhPJzyNIgeKZnsqizKt7UVWKu/M2YsshtTbO/20KFUXeW+7nyDmuPMnlnoFqsxSkYRuZ6WMX4zRQ==
X-Received: by 2002:a05:6000:2a2:: with SMTP id
 l2mr36867553wry.285.1620726962169; 
 Tue, 11 May 2021 02:56:02 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id x8sm26411572wrs.25.2021.05.11.02.56.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 May 2021 02:56:01 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>, Jean-Baptiste
 Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
In-Reply-To: <87k0o5fx1w.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
Date: Tue, 11 May 2021 11:55:26 +0200
Message-ID: <86zgx11to1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 11 May 2021 at 11:18, Nicol=C3=B2 Balzarotti <anothersms@HIDDEN>=
 wrote:
> zimoun <zimon.toutoune@HIDDEN> writes:

>> Please, split this patch.  One per update, i.e., 5 patches I guess.
>
> Some changes should probably be committed together since current julia
> will fail to build with newer deps versions, but at least for utf8proc
> I'm sure this can be splitted.

The issue is that the update of pcre2 is a =E2=80=99core-updates=E2=80=99 c=
hange, IIUC:

  guix refresh -l pcre2

so the package cannot be simply updated.  This one also should be
splitted, IMHO.

Is the current julia@HIDDEN =E2=80=99will fail=E2=80=99 for sure or probably=
 =E2=80=99would fail=E2=80=99
with openlibm@HIDDEN and julia-benchmarktools@HIDDEN?  I have not tried
yet. :-)


>>> +         (add-before 'install 'symlink-libraries
>>
>> [...]
>>
>>> +               (link "zlib" "usr/lib/julia/" "libz\\.so")
>>
>> Does this fix
>>
>>    <http://issues.guix.gnu.org/48238>
>>
>> ?
>> Does it make sense?
>>
> I just tried running
>> cd /gnu/store/fp5by15552ihyppxppigmbxs981rd08h-julia-1.6.1
>> find -type f -exec grep '/tmp/guix-build-julia-1.5.3.drv-0' {} \;
>
> and it returns nothing.  Also, your Pkg.add("GZip"); using GZip worked

Cool!

> (but it printed
>
> =E2=94=8C Error: curl_easy_setopt: 48
> =E2=94=94 @ Downloads.Curl
> ~/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/Do=
wnloads/src/Curl/utils.jl:36
>
> which might be worth investigating)

Thanks for trying and reporting.  Did you use a --pure or --container
environment?

>>> +       ("nss-certs" ,nss-certs)         ; required to precompile
>>
>> Hum?  Is it really necessary?
>>
> I think that the alternative is to disable a few tests.  I opened a bug
> report a few months ago here:
> https://github.com/JuliaLang/julia/issues/40185
>
>>> +       ("glibc-locales" ,glibc-locales)
>>
>> Idem.  Is it really necessary?  Because it is a =E2=80=9Cbig=E2=80=9C pa=
ckages which
>> drastically increases the closure size of the Julia package.
>>
>
> I think it's the same as before (fixes a few tests) but I cannot verify
> this, Jean-Baptiste do you know what breaks when this is removed?

Well, =E2=80=98guix size glibc-locales=E2=80=99 reports ~922MiB.  Although =
this package
is probably already on the store, I would prefer to avoid to add it as
an input.  Currently, =E2=80=99guix size julia=E2=80=99 says ~1080MiB.  How=
 much with
the glibc-locales as inputs?

Thanks for the patch and the explanations.

Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 09:53:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 05:53:18 2021
Received: from localhost ([127.0.0.1]:35030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgP4o-0004Nq-0O
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 05:53:18 -0400
Received: from mail-ed1-f42.google.com ([209.85.208.42]:40862)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lgP4l-0004NV-4r
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 05:53:16 -0400
Received: by mail-ed1-f42.google.com with SMTP id c22so22113634edn.7
 for <48325 <at> debbugs.gnu.org>; Tue, 11 May 2021 02:53:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=V50ecvoYIUVjB2qjKgEym+w8/Lt2mUhLuVAYMqhgpxE=;
 b=krdTm8v1W3KCfgfafq2TDQH3mH0mbklZDJS9A4KPfaqzEvoxaO1vA3coGIFzoWKnAJ
 qH5WcGqovLhXz0MwtuUZca3eOG5EfjAtIvIo9Aa3tPS8lxR67OsJwh89CXBwPLZPSupa
 uEb1kS2XlhaDjDBzmvPIPOPP0GPAyGihh0DPyS/qCUJ/bNINaTWqIAv83O4tFCeL0Igt
 VvD0c2Uqg01uRkK/OgVeCk+5C93i58Fl1vNFI8dWaZgEUhnvuNM14vIOHsJLvMpPQR9a
 wE9TMzO05pTl3wOSaPvJzuQQ5HEFUIeLPeQHrOoEHGbrjsS5NX05QARWutNiK3V57kDU
 IWiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=V50ecvoYIUVjB2qjKgEym+w8/Lt2mUhLuVAYMqhgpxE=;
 b=GOYwl8ttw5t7jlfSSBBBF67lUM8u6Z22Fbm5a7DWamQ1f5ysdIn25VptVw2xHNAFST
 q6du9ewWyYrDmLPnxAwLHJ77SJ2iIhowsl8NgldaP/BQlCVGxRjA619fw3DzAHPnCwpC
 PazunZWwa5OVP9brd1B6mApZDT/9aCKoJlBJJbyBH+7SO7RoGiyq+u70nylAXHNAknPG
 biDeKIruJ4Sfvx0781jHzkbM/psXy+h0CfQnKX7HlV2IfdxUJfw5MKln1jQB/1hSpi8U
 oniEW+LoGO6RxJGNgaYMFftUetMML6ddr9tbPQqUshlTAENgA3ncaP18iWvdmY52FZmc
 hS3g==
X-Gm-Message-State: AOAM530Gq0+J0Q4qAO8VAdhqmt9e+cwu1xPhSN85TaBWZub424H7iXaz
 UfcCf8aQ/v3cTGCs7srHECuEDBc/vRk=
X-Google-Smtp-Source: ABdhPJwHLJysbGhH+hYeOXPgqkFZHvW1FxLES4fVCU+JIxp9IuFWaK+jzjDckNcKIyGdMx/IFh3bMQ==
X-Received: by 2002:a05:6402:3546:: with SMTP id
 f6mr35294149edd.267.1620726789305; 
 Tue, 11 May 2021 02:53:09 -0700 (PDT)
Received: from guixSD (host-79-17-142-89.retail.telecomitalia.it.
 [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id ga3sm8978593ejb.34.2021.05.11.02.53.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 May 2021 02:53:08 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
In-Reply-To: <87k0o5fx1w.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
 <87k0o5fx1w.fsf@HIDDEN>
Date: Tue, 11 May 2021 11:53:07 +0200
Message-ID: <87h7j9fvgc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> cd /gnu/store/fp5by15552ihyppxppigmbxs981rd08h-julia-1.6.1
>> find -type f -exec grep '/tmp/guix-build-julia-1.5.3.drv-0' {} \;
>
I just realized I should have run

> find -type f -exec grep '/tmp/guix-build-julia-1.6.1.drv-0' {} \;

Binary file ./bin/.julia-real matches
Binary file ./lib/julia/sys.so matches
Binary file ./lib/julia/libccalltest.so.debug matches
Binary file ./lib/julia/libjulia-internal.so.1.6 matches
Binary file ./lib/julia/libllvmcalltest.so matches
Binary file ./lib/libjulia.so.1.6 matches
Binary file ./share/julia/base.cache matches




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 09:18:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 11 05:18:45 2021
Received: from localhost ([127.0.0.1]:34940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgOXN-0003HT-I0
	for submit <at> debbugs.gnu.org; Tue, 11 May 2021 05:18:45 -0400
Received: from mail-ej1-f43.google.com ([209.85.218.43]:43625)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lgOXL-0003HF-1N
 for 48325 <at> debbugs.gnu.org; Tue, 11 May 2021 05:18:43 -0400
Received: by mail-ej1-f43.google.com with SMTP id l4so28689649ejc.10
 for <48325 <at> debbugs.gnu.org>; Tue, 11 May 2021 02:18:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-transfer-encoding;
 bh=vZG/qALcllY/EUlm0ncuTjPaqCg39KTh8gO3DZhfzfk=;
 b=J3HctEWovOOZnROA085e98dvjzSYvjYIetnt16f3aDzEFmttDzcEAj/qwK4rCsLRj2
 mCfSRnmrtvR8mLuZGkG1TWUYAcUdeK03z6xESFzd/qtiprhDXCCMIMKGaOjzws7XvofW
 NQg089O9C6ohWWm+r5WSZngNsJ7+JHP4BcE0oHI87nyEkkIhYrGkmBC3Z29DrFlvR+pd
 uP9T8/BCJGXgm8g0n17PjsQbc6JTTJYzN8bd/PN4Ge7NdCltM6JGmLRLI+eszp1Y2W6c
 HE4X+goYpocl32fQNqdzjtWfU+1YlyKZV86KO7gXo0kooTvb88sdrRz/6C/FayViXrzB
 4TZg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version:content-transfer-encoding;
 bh=vZG/qALcllY/EUlm0ncuTjPaqCg39KTh8gO3DZhfzfk=;
 b=EozOT0vaeXLSK6vrt85gdSNEvCRd4Uy+WLv1yDO+Ah5jNctsLPazGXZrtnF9J6xr08
 lCVax9WBUcE2R3xjm1zU9zTCkBOGIZ1nl9NJr88LlI1Uh9Kt/wTQStbdLKOYxE7+r+rB
 VTyAW+PTK/wANPShwWW6Oxr5nntMLVbQHZqIUIh7v53aFYwMMY/sQamfUb1BjQpDetGm
 +AG4DOuSurHm76uHqr3aac7DcDRCdOhF5l8QG91YdtVobaXZQlvfg8BCh8V9zqsnYiA4
 rZktZhD8HxO5zkimULUvVn0bHcofHZHTuZfn/OjU19YMRQJAxeQFn3zBCKVujCjoXNgb
 iCSQ==
X-Gm-Message-State: AOAM5301pNDQS2cW/4UJ4/HrLof+BJAM1/18rLXpBmb3oBjKJb8t6Ogy
 EFopLwV6zz07JruFkAQkeNNIh7wsFkM=
X-Google-Smtp-Source: ABdhPJzzR5Dr6HpxszdV9SL8DG3G7fryt4NKGe7UQ6ZPzDrpAdebYpRFf2MRYWYPtCLB8TYN3H+d2w==
X-Received: by 2002:a17:907:78c4:: with SMTP id
 kv4mr30195858ejc.445.1620724717152; 
 Tue, 11 May 2021 02:18:37 -0700 (PDT)
Received: from guixSD (host-79-17-142-89.retail.telecomitalia.it.
 [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id zh16sm11247356ejb.10.2021.05.11.02.18.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 11 May 2021 02:18:36 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
In-Reply-To: <86a6p22kw7.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 <86a6p22kw7.fsf@HIDDEN>
Date: Tue, 11 May 2021 11:18:35 +0200
Message-ID: <87k0o5fx1w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  zimoun writes: > Hi Jean-Baptiste, > > Thanks for the patch.
 Here some minor comments. > > Please, split this patch. One per update, i.e., 
 5 patches I guess. > Some changes should probably be committed together since
 current julia will fail to build with newer deps versions, but at least for
 utf8proc I'm sure this can be splitted. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: nixo.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (anothersms[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.218.43 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.218.43 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

zimoun <zimon.toutoune@HIDDEN> writes:

> Hi Jean-Baptiste,
>
> Thanks for the patch.  Here some minor comments.
>
> Please, split this patch.  One per update, i.e., 5 patches I guess.
>

Some changes should probably be committed together since current julia
will fail to build with newer deps versions, but at least for utf8proc
I'm sure this can be splitted.
=20
> Just to be sure, if Nicol=C3=B3 is co-author, it should be worth to add t=
hem
> in the commit message, something like:
>
> Co-Authored-By: Nicol=C3=B2 Balzarotti <nicolo@HIDDEN>.
>

Yep I helped a bit

>> -                                       '("arpack-ng" "curl" "dsfmt"
>
> I have not read the Julia ChangeLog.  Do they remove Arpack?  This
> should be mentioned in the commit message.

Yep, see for example:
https://github.com/JuliaLang/julia/commit/0196cf1ff549ac120d8c556d610927d76=
d679722

>
>> +                                       '("curl" "dsfmt"
>>                                           "gmp" "lapack"
>> -                                         "libssh2" "libgit2"
>> +                                         "libssh2" "libnghttp2" "libgit=
2"
>
> Idem for libnghttp2.
>
Yep they added libnghttp2
https://github.com/JuliaLang/julia/blob/bb5b98e72a151c41471d8cc14cacb495d64=
7fb7f/stdlib/nghttp2_jll/src/nghttp2_jll.jl

>>                                           "mbedtls" "mpfr"
>>                                           "openblas" "openlibm" "pcre2"
>> -                                         "suitesparse"))
>> -                                  ":"))
>> -             #t))
>> +                                         "suitesparse" "libfortran"))
>
> Idem for libfortran.

I just realized this is not sorted, would you mind fixing it?  Also,
there are still a few #t which can be removed (like this one in
'prepare-deps)

>
>> -         (add-before 'build 'fix-precompile
>> -           (lambda _
>> -             (substitute* "base/loading.jl"
>> -               (("something(Base.active_project(), \"\")") "\"\""))
>> +         (add-before 'build 'shared-objects-paths
>> +           (lambda* (#:key inputs #:allow-other-keys)
>
> [...]
>
>> +               ;; FAILING: OpenBLAS
>
> What does it mean?
>
I think it's a leftover which can be removed

>
>> +         (add-before 'install 'symlink-libraries
>
> [...]
>
>> +               (link "zlib" "usr/lib/julia/" "libz\\.so")
>
> Does this fix
>
>    <http://issues.guix.gnu.org/48238>
>
> ?
> Does it make sense?
>
I just tried
running
> cd /gnu/store/fp5by15552ihyppxppigmbxs981rd08h-julia-1.6.1
> find -type f -exec grep '/tmp/guix-build-julia-1.5.3.drv-0' {} \;

and it returns nothing.  Also, your Pkg.add("GZip"); using GZip worked

(but it printed
=E2=94=8C Error: curl_easy_setopt: 48
=E2=94=94 @ Downloads.Curl
~/guix-build-julia-1.6.1.drv-0/julia-1.6.1/usr/share/julia/stdlib/v1.6/Down=
loads/src/Curl/utils.jl:36
which might be worth investigating)


>> -         "USE_SYSTEM_ARPACK=3D1"
>
> What is the motivation for removing Arpack?  Sorry if my question is
> naive.
As before, it's no longer used by Julia

>
>>           "USE_SYSTEM_LIBGIT2=3D1"
>>           "USE_SYSTEM_ZLIB=3D1")))
>>      (inputs
>>       `(("llvm" ,llvm-julia)
>>         ("p7zip" ,p7zip)
>> -       ;; The bundled version is 3.3.0 so stick to that version.  With =
other
>> -       ;; versions, we get test failures in 'linalg/arnoldi' as describ=
ed in
>> -       ;; <https://bugs.gnu.org/30282>.
>> -       ("arpack-ng" ,arpack-ng-3.3.0)
>> -
>> -       ("coreutils" ,coreutils) ;for bindings to "mkdir" and the like
>> +       ("coreutils" ,coreutils)         ;for bindings to "mkdir" and th=
e like
>
> This is not a change.  Even if the new indentation is correct, please
> let avoid cosmetic change in the same commit updating a complex package.
> Because then digging in the history becomes more complex. :-)
>

Agreed
>> +       ("nss-certs" ,nss-certs)         ; required to precompile
>
> Hum?  Is it really necessary?
>
I think that the alternative is to disable a few tests.  I opened a bug
report a few months ago here:
https://github.com/JuliaLang/julia/issues/40185

>> +       ("glibc-locales" ,glibc-locales)
>
> Idem.  Is it really necessary?  Because it is a =E2=80=9Cbig=E2=80=9C pac=
kages which
> drastically increases the closure size of the Julia package.
>

I think it's the same as before (fixes a few tests) but I cannot verify
this, Jean-Baptiste do you know what breaks when this is removed?

>
> Thanks again for the patch.
>
Yep, thanks Jean-Baptiste and Simon for your review


Nicol=C3=B2




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 11 May 2021 00:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 20:17:19 2021
Received: from localhost ([127.0.0.1]:34566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lgG5H-0005kY-2M
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 20:17:19 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:52806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lgG5E-0005kK-Q7
 for 48325 <at> debbugs.gnu.org; Mon, 10 May 2021 20:17:09 -0400
Received: by mail-wm1-f41.google.com with SMTP id g65so10118934wmg.2
 for <48325 <at> debbugs.gnu.org>; Mon, 10 May 2021 17:17:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=SsCevE61mv95Bz6OBp7vx6cTImYz7eXNs/EgAkQDzjs=;
 b=E3bFL3GBHvUToJIEc0vfk+5b3UaYv2bhY9w1dZLouuAY3UZoe6ofJ1wObFGYgi2yFs
 i+Xi+g1RPGdltoNH9hrXDO27Gnk9PAXZUmDRWd1zICw/FLuq5Gu/ub2GUvtBeDLqWvxy
 yO/bTr2b7ZVBIUF8gmRdWzrDrV/kYz7+ulHXslwK956Gdt/lo5B3aFgf6M1Zl/pY2OJC
 Yv8DownQLgx7IQ4R7ESxdtV5Qhfswn9nGv9m8r590xkfcrxy5Ad6bfeKoTGzViUscIDL
 ai1qiCqekYE/7fiB0tMrb+3VW7xfmzWmsg3oXGlJRHGZ4dWQ0AJNkIuWXdqDlKo/9f80
 PBEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=SsCevE61mv95Bz6OBp7vx6cTImYz7eXNs/EgAkQDzjs=;
 b=A9AptZMFW0Wc92Dguzq1A4CYusli3t7CNYVVkosnPp/K2xtaM4xbbCYfDx5OU77xx+
 pbseePLkqrwGAFnjyc5LXCXnDDD8Fav/qR38m9dnt6osG6x1BtTc/rHUv/BrzfVh7chG
 Z/UXh/k+LMdl4reJogMOc6gv7JeAt+18AwWg3NQbwfswaoA4v8OBiALkS0Il3x8K31pg
 EW9RaWvL+fp5tY+l6EFPvRJWvQaT9lOs3SMcSKzBk1rU1nOyoZQ+HzmvCQ9m5kcWFwdb
 e0B5ybI48arHUV3HY3ePS19hTEMjqK3BsrnfXlMcrofjGdQ+W7lww4HhE2pqmYJfZ5wo
 ziwA==
X-Gm-Message-State: AOAM533jsYXxRr9rUmAB1NC0NGkdfHE+W684nREeVkbs+rkr1FrlK/E0
 4SbiqhgZ1OGvmH21vR8ZQ1AnP7k1CjA=
X-Google-Smtp-Source: ABdhPJzH9gyrwzZdYvF/Z3IiASTPFE79TSuOsffPpavn7BH+YJYYUtS798k6Ady3KE76MPEIG4zF2w==
X-Received: by 2002:a05:600c:293:: with SMTP id
 19mr29312271wmk.144.1620692222953; 
 Mon, 10 May 2021 17:17:02 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id g129sm1505668wmg.27.2021.05.10.17.17.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 10 May 2021 17:17:02 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: [bug#48325] julia-1.6 guix
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
 <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
Date: Tue, 11 May 2021 02:07:20 +0200
In-Reply-To: <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
 (Jean-Baptiste Volatier's message of "Mon, 10 May 2021 11:29:41
 +0000")
Message-ID: <86a6p22kw7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi Jean-Baptiste,
 Thanks for the patch. Here some minor comments.
 On Mon, 10 May 2021 at 11:29, Jean-Baptiste Volatier wrote: 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: nixo.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.128.41 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.128.41 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org,
 =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi Jean-Baptiste,

Thanks for the patch.  Here some minor comments.

On Mon, 10 May 2021 at 11:29, Jean-Baptiste Volatier <jbv@HIDDEN> wrote:

> From e610dacab669ce84fe8f263a01aefff1fe49b6aa Mon Sep 17 00:00:00 2001
> From: Jean-Baptiste Volatier <jbv@HIDDEN>
> Date: Mon, 10 May 2021 09:57:23 +0200
> Subject: [PATCH] gnu: julia: update to 1.6.1
>
> gnu: openlibm: update to 0.7.4
> gnu: pcre2: update to 10.56
> gnu: utf8proc: update to 2.6.1
> gnu: julia-benchmarktools: update to 0.7.0

Please, split this patch.  One per update, i.e., 5 patches I guess.

> diff --git a/gnu/packages/julia.scm b/gnu/packages/julia.scm
> index 13c9f7baf1..39627eeed0 100644
> --- a/gnu/packages/julia.scm
> +++ b/gnu/packages/julia.scm
> @@ -1,9 +1,10 @@
>  ;;; GNU Guix --- Functional package management for GNU
>  ;;; Copyright =C2=A9 2015, 2016, 2017 Ricardo Wurmus <rekado@HIDDEN>
>  ;;; Copyright =C2=A9 2016, 2020 Efraim Flashner <efraim@HIDDEN>
> -;;; Copyright =C2=A9 2020 Nicol=C3=B2 Balzarotti <nicolo@HIDDEN>
> +;;; Copyright =C2=A9 2020, 2021 Nicol=C3=B2 Balzarotti <nicolo@HIDDEN>

Just to be sure, if Nicol=C3=B3 is co-author, it should be worth to add them
in the commit message, something like:

Co-Authored-By: Nicol=C3=B2 Balzarotti <nicolo@HIDDEN>.

> -    (source (origin
> -              (inherit (package-source llvm-9))
> -              ;; Those patches are inside the Julia source repo.
> -              ;; They are _not_ Julia specific (https://github.com/julia=
lang/julia#llvm)
> -              ;; but they are required to build Julia.
> -              ;; Discussion: https://bugs.debian.org/cgi-bin/bugreport.c=
gi?bug=3D919628
> -              (patches
> -               (map (match-lambda
> -                      ((name hash)
> -                       (julia-patch name hash)))
> -                    (list
> -                     '("llvm-D27629-AArch64-large_model_6.0.1"
> -                       "1qrshmlqvnasdyc158vfn3hnbigqph3lsq7acb9w8lwkpnnm=
2j4z")
> -                     '("llvm8-D34078-vectorize-fdiv"
> -                       "19spqc3xsazn1xs9gpcgv9ldadfkv49rmc5khl7sf1dlmhgi=
4602")
> -                     '("llvm-7.0-D44650"
> -                       "1h55kkmkiisfj6sk956if2bcj9s0v6n5czn8dxb870vp5ncc=
j3ir")
> -                     '("llvm9-D50010-VNCoercion-ni"
> -                       "1s1d3sjsiq4vxg7ncy5cz56zgy5vcq6ls3iqaiqkvr23wyry=
qmdx")
> -                     '("llvm-exegesis-mingw"
> -                       "0ph1cj1j7arvf1xq2xcr7qf9g0cpdl14fincgr67vpi520zv=
d3vp")
> -                     '("llvm-test-plugin-mingw"
> -                       "12z738cnahbf6n381im7i0hxp1m6k9hrnfjlmq9sac46nxly=
9gnj")
> -                     '("llvm7-revert-D44485"
> -                       "0f59kq3p3mpwsbmskypbi4zn01l6ig0x7v2rjp08k2r8z8m6=
fa8n")
> -                     '("llvm-8.0-D66657-codegen-degenerate"
> -                       "1n1ddx19h90bbpimdyd9dh8fsm6gb93xxyqm4ljkxa1k3cx2=
vm72")
> -                     '("llvm-8.0-D71495-vectorize-freduce"
> -                       "1zff08wvji9lnpskk4b3p5zyjsy5hhy23ynxjqlj9dw7jvvf=
rf0p")
> -                     '("llvm-D75072-SCEV-add-type"
> -                       "029a3fywsm233vf48mscina24idd50dc75wr70lmimrhwnw2=
7p0z")
> -                     '("llvm-9.0-D65174-limit-merge-stores"
> -                       "04bff1mnblfj9mxfdwr1qdnw3i3szmp60gnhxwas5y68qg33=
z6j0")
> -                     '("llvm9-D71443-PPC-MC-redef-symbol"
> -                       "1c93nv7rgc9jg5mqrnvv08xib1789qvlql94fwggh18mp3b9=
hbgy")
> -                     '("llvm-9.0-D78196"
> -                       "08a43hyg7yyqjq2vmfsmppf34xcz60wq6y9zw5fdyhw2h1mc=
nmns")
> -                     '("llvm-julia-tsan-custom-as"
> -                       "0awh40kf6lm4wn1nsjd1bmhfwq7rqj811szanp2xkpspykw9=
hg9s")
> -                     '("llvm-9.0-D85499"
> -                       "0vxlr35srvbvihlgrxq15v6dylp90vgi0qahj22j01jgqmda=
sjkm"))))
> -              (patch-flags '("-p1"))))
>      (arguments
> -     (substitute-keyword-arguments (package-arguments llvm-9)
> +     (substitute-keyword-arguments (package-arguments llvm-11)
>         ((#:configure-flags flags)
>          `(list ;; Taken from NixOS. Only way I could get libLLVM-6.0.so
>             "-DCMAKE_BUILD_TYPE=3DRelease"
> @@ -177,7 +140,61 @@
>             ;; "-DLLVM_DEFAULT_TARGET_TRIPLE=3D${stdenv.hostPlatform.conf=
ig}"
>             ;; "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=3DWebAssembly"
>             "-DLLVM_ENABLE_DUMP=3DON"
> -           "-DLLVM_LINK_LLVM_DYLIB=3DON"))))))
> +           "-DLLVM_LINK_LLVM_DYLIB=3DON"))
> +       ((#:phases phases)
> +        `(modify-phases ,phases
> +           ;; applying patches from julia
> +           ;; list of patches can be found in deps/llvm.mk in julia sour=
ce
> +           (add-after 'unpack 'julia-patches
> +             (lambda* (#:key inputs outputs #:allow-other-keys)
> +               (let ((patch
> +                      (lambda (patchname flag)
> +                        (invoke "patch" flag "-i"
> +                                (string-append
> +                                 "julia-src/deps/patches/"
> +                                 patchname
> +                                 ".patch")))))
> +                 (mkdir-p "julia-src")
> +                 (invoke "tar" "xf"
> +                         (assoc-ref inputs "julia-source")
> +                         "-C" "julia-src" "--strip-components=3D1")
> +                 (map (lambda (patchname)
> +                        (patch patchname "-p1"))
> +                      (list "llvm-D27629-AArch64-large_model_6.0.1"
> +                            "llvm8-D34078-vectorize-fdiv"
> +                            "llvm-7.0-D44650"
> +                            "llvm-6.0-DISABLE_ABI_CHECKS"
> +                            "llvm9-D50010-VNCoercion-ni"
> +                            "llvm7-revert-D44485"
> +                            "llvm-11-D75072-SCEV-add-type"
> +                            "llvm-julia-tsan-custom-as"
> +                            "llvm-D80101"
> +                            "llvm-D84031"
> +                            "llvm-10-D85553"
> +                            "llvm-10-unique_function_clang-sa"
> +                            "llvm-11-D85313-debuginfo-empty-arange"
> +                            "llvm-11-D90722-rtdyld-absolute-relocs"
> +                            "llvm-invalid-addrspacecast-sink"
> +                            "llvm-11-D92906-ppc-setjmp"
> +                            "llvm-11-PR48458-X86ISelDAGToDAG"
> +                            "llvm-11-D93092-ppc-knownbits"
> +                            "llvm-11-D93154-globalisel-as"
> +                            "llvm-11-ppc-half-ctr"
> +                            "llvm-11-ppc-sp-from-bp"
> +                            "llvm-rGb498303066a6-gcc11-header-fix"
> +                            "llvm-11-D94813-mergeicmps"
> +                            "llvm-11-D94980-CTR-half"
> +                            "llvm-11-D94058-sext-atomic-ops"
> +                            "llvm-11-D96283-dagcombine-half"))
> +                 (map (lambda (patchname)
> +                        (patch patchname "-p2"))
> +                      (list "llvm-11-AArch64-FastIsel-bug"
> +                            "llvm-11-D97435-AArch64-movaddrreg"
> +                            "llvm-11-D97571-AArch64-loh"
> +                            "llvm-11-aarch64-addrspace")))))))))

I am not convinced by this move of patches from =E2=80=99source=E2=80=99 to=
 =E2=80=99phases=E2=80=99.
My understanding about the usual way is to let the patch in the source
field.  Is this move motivated by something special?

> -                                       '("arpack-ng" "curl" "dsfmt"

I have not read the Julia ChangeLog.  Do they remove Arpack?  This
should be mentioned in the commit message.

> +                                       '("curl" "dsfmt"
>                                           "gmp" "lapack"
> -                                         "libssh2" "libgit2"
> +                                         "libssh2" "libnghttp2" "libgit2"

Idem for libnghttp2.

>                                           "mbedtls" "mpfr"
>                                           "openblas" "openlibm" "pcre2"
> -                                         "suitesparse"))
> -                                  ":"))
> -             #t))
> +                                         "suitesparse" "libfortran"))

Idem for libfortran.

> -         (add-before 'build 'fix-precompile
> -           (lambda _
> -             (substitute* "base/loading.jl"
> -               (("something(Base.active_project(), \"\")") "\"\""))
> +         (add-before 'build 'shared-objects-paths
> +           (lambda* (#:key inputs #:allow-other-keys)

[...]

> +               ;; FAILING: OpenBLAS

What does it mean?


> +         (add-before 'install 'symlink-libraries

[...]

> +               (link "zlib" "usr/lib/julia/" "libz\\.so")

Does this fix

   <http://issues.guix.gnu.org/48238>

?  If yes, cool and thank you! :-)  So it should be mentioned in the
commit message, something like:

--8<---------------cut here---------------start------------->8---
* gnu: julia: Update to 1.6.1.

Fixes <https://bug.gnu.org/48238>.

* gnu/packages/julia.scm (julia): Update to 1.6.1.
[arguments]: =E2=80=A6stuff that changed=E2=80=A6
[inputs]: Add foo, Remove bar.

Co-Authored-By: Nicol=C3=B2 Balzarotti <nicolo@HIDDEN>.
--8<---------------cut here---------------end--------------->8---

Does it make sense?

> -         "USE_SYSTEM_ARPACK=3D1"

What is the motivation for removing Arpack?  Sorry if my question is naive.

>           "USE_SYSTEM_LIBGIT2=3D1"
>           "USE_SYSTEM_ZLIB=3D1")))
>      (inputs
>       `(("llvm" ,llvm-julia)
>         ("p7zip" ,p7zip)
> -       ;; The bundled version is 3.3.0 so stick to that version.  With o=
ther
> -       ;; versions, we get test failures in 'linalg/arnoldi' as describe=
d in
> -       ;; <https://bugs.gnu.org/30282>.
> -       ("arpack-ng" ,arpack-ng-3.3.0)
> -
> -       ("coreutils" ,coreutils) ;for bindings to "mkdir" and the like
> +       ("coreutils" ,coreutils)         ;for bindings to "mkdir" and the=
 like

This is not a change.  Even if the new indentation is correct, please
let avoid cosmetic change in the same commit updating a complex package.
Because then digging in the history becomes more complex. :-)

>         ("lapack" ,lapack)
> -       ("openblas" ,openblas) ;Julia does not build with Atlas
> +       ("openblas" ,openblas)           ;Julia does not build with Atlas

Idem.

>         ("libunwind" ,libunwind-julia)
>         ("openlibm" ,openlibm)
>         ("mbedtls" ,mbedtls-apache)
>         ("curl" ,curl)
> -       ("libgit2" ,libgit2-0.28)
> +       ("libnghttp2" ,nghttp2 "lib")
> +       ("libgit2" ,libgit2)
>         ("libssh2" ,libssh2)
>         ("fortran" ,gfortran)
> +       ;; required for libgcc_s.so
> +       ("libfortran" ,gfortran "lib")
>         ("libuv" ,libuv-julia)
>         ("pcre2" ,pcre2)
>         ("utf8proc" ,utf8proc)
>         ("mpfr" ,mpfr)
> +       ("nss-certs" ,nss-certs)         ; required to precompile

Hum?  Is it really necessary?

> +       ("glibc-locales" ,glibc-locales)

Idem.  Is it really necessary?  Because it is a =E2=80=9Cbig=E2=80=9C packa=
ges which
drastically increases the closure size of the Julia package.



Thanks again for the patch.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 10 May 2021 11:30:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 07:30:28 2021
Received: from localhost ([127.0.0.1]:57544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg477-0006pn-VU
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 07:30:28 -0400
Received: from mail-40134.protonmail.ch ([185.70.40.134]:40556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbv@HIDDEN>) id 1lg473-0006dW-Ic
 for 48325 <at> debbugs.gnu.org; Mon, 10 May 2021 07:30:15 -0400
Date: Mon, 10 May 2021 11:29:41 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pm.me; s=protonmail;
 t=1620646201; bh=pIZCHUPq5s8bt9ffX1aF3LGpATdQgjALlhfuYgAUXK4=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=m7EzDV9Q4U1uiOurNB7hS/41uCcnYnof2y5IedAaHp78pQpuLUa6OiVRmDGmfyYdX
 VvvEe52N1udSxUwnjU1TeYx1RYm0w/IBB3d+R+034Jc7SBtxTyvSRQXBbT9DZNm9mS
 6dogvDL9bezg7HLO+rvS15kBoixUlqqUxx7RxwEpbwzXgGyEfvSUJGa+uEGzhOHXdx
 fDxAtEtbOMpYEmTZ+I7GDwCiSN2lIBuNniVoBAbCGXkyUdFHLPdyCNClp2rtjqxWnG
 HNQx1Nf2oglvTRjUcUzjA7oFEs5WlmDJ5WW5JuZSO6jqO0ovD858Cp2xB2fkoc4uLk
 2bgl4WSmGH0iw==
To: =?utf-8?Q?Nicol=C3=B2_Balzarotti?= <anothersms@HIDDEN>
From: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: julia-1.6 guix
Message-ID: <kNqwtYdhnfFKZLGBH6tL0YPqkGs7pncwgvX6u2YQbW6ATIyet9HpY1O4_hksoo0AQaH5zslseW0FbOskAAxnpA==@pm.me>
In-Reply-To: <87mtt3f4mp.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
 <87mtt3f4mp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_If2fMmCzoKcLOtleHgGmSKGplxTP3EOK0jweQN4mcU"
X-Spam-Status: No, score=0.8 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,PDS_OTHER_BAD_TLD
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Find attached the updated patch. I applied your suggestions.
    Nicolò Balzarotti wrote: >>> - ;; "-DLLVM_HOST_TRIPLE=${stdenv.hostPlatform.config}"
    >>> - ;; "-DLLVM_DEFAULT_TARGET_TRIPLE=${stdenv.hostPlatform.config}" >>>
    - ;; "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUI [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H4      RBL: Very Good reputation (+4)
                             [185.70.40.134 listed in wl.mailspike.net]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [185.70.40.134 listed in list.dnswl.org]
  2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
                             [URI: nixo.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jean-Baptiste Volatier <jbv@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

This is a multi-part message in MIME format.

--b1_If2fMmCzoKcLOtleHgGmSKGplxTP3EOK0jweQN4mcU
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi,
Find attached the updated patch. I applied your suggestions.

Nicol=C3=B2 Balzarotti wrote:
>>> -            ;; "-DLLVM_HOST_TRIPLE=3D${stdenv.hostPlatform.config}"
>>> -            ;; "-DLLVM_DEFAULT_TARGET_TRIPLE=3D${stdenv.hostPlatform.c=
onfig}"
>>> -            ;; "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=3DWebAssembly"
>> Those seems to be taken from nixos, but is there a reason why are those
>> commented?

No clue, this was already there.

>>> build to install
>>>
>>> What does this comment refer to?

Some leftover I forgot to remove.

Cheers,
jB
--b1_If2fMmCzoKcLOtleHgGmSKGplxTP3EOK0jweQN4mcU
Content-Type: text/x-patch; name=0001-gnu-julia-update-to-1.6.1.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=0001-gnu-julia-update-to-1.6.1.patch
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--b1_If2fMmCzoKcLOtleHgGmSKGplxTP3EOK0jweQN4mcU--





Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at 48325 <at> debbugs.gnu.org:


Received: (at 48325) by debbugs.gnu.org; 10 May 2021 07:08:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 10 03:08:08 2021
Received: from localhost ([127.0.0.1]:57217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lg01Q-0003Th-BA
	for submit <at> debbugs.gnu.org; Mon, 10 May 2021 03:08:08 -0400
Received: from mail-ej1-f49.google.com ([209.85.218.49]:35563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <anothersms@HIDDEN>) id 1lg01N-0003TB-TE
 for 48325 <at> debbugs.gnu.org; Mon, 10 May 2021 03:08:07 -0400
Received: by mail-ej1-f49.google.com with SMTP id m12so22918259eja.2
 for <48325 <at> debbugs.gnu.org>; Mon, 10 May 2021 00:08:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version; bh=mHBpqZZU/QfbRnjojxOy64JAY1wxLqiQtz01WJvcBoM=;
 b=eGdqe3kVFDXGRcQMsXXiB9MKgvdcfUOOtk/0YQFcUPkM8Tao29jUISyfFg7Mutnf+7
 aR2N2To65WHs2lIbAg8jT+HWVmKrYJaAZem5y56705j98wQSjhH+e8+aiz/4iKZ2X6n/
 9XaML3M4qQsiM7gzaW3Z6y+7OpnuSDF2EirLrddzzGwLeJzAr8102fp677SKKgs2LlEm
 PbG/w/qIoOF687JbZhHvZoqOvZ05CWbv4yqcQ4XkaVIta1ZndytbrsShqRN1DwLgr9gq
 7a6SwFGFXpw9+fGYyHBaoJ3SkbUzuWMi0WKpTkeEWRmKQPd31GDJsg3FupYClskHTohH
 0Zvg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references:date
 :message-id:mime-version;
 bh=mHBpqZZU/QfbRnjojxOy64JAY1wxLqiQtz01WJvcBoM=;
 b=TWp3PkLYLX4WJnAX3cptqBCoUsLKTXdRzwy6z93NQvoXpTplPIniCLBbTLr8y6UsAs
 wcGTlqgsqBSMsJsIujRZcnFgQgo+akeAelwS2OOLfHQvvA2p9Q9TQH9tzFXsZbQQbmkj
 LtdvGi6fGLOJzq0w1MqyhpjrYHdndB8qfqMMJEOCCwSjMrLB5h+VRwGZDvxAwEuhX/ZU
 jQ8NA8LaESzVDYGfTGSjXWxFDVAVxpbEIMBPfJG3mHItiCrZUOMikJ569UtRptxK3FuE
 WSXs4+2piCX9/+4g7MdbD9dJYhW3Q+yJ2IJovLcSuTDr3i9+IMUE2Im15nB06Mdv5J5K
 2ehw==
X-Gm-Message-State: AOAM5304qaSy/YdHHDyx1kvoAGdaaokF3TteQy7okfbrYChI5WvsZu1t
 KQ29jYRSeAiz1IWyjoOsgv+TFCk9Pfg=
X-Google-Smtp-Source: ABdhPJzMWCOJCh1z6M8shGPX7kDHEsRg++zWyaeQ0GaO87YduxIeZi4unIYnTPH7djNyc3ZcAk3qcQ==
X-Received: by 2002:a17:906:a2d1:: with SMTP id
 by17mr25175217ejb.426.1620630480136; 
 Mon, 10 May 2021 00:08:00 -0700 (PDT)
Received: from guixSD (host-79-17-142-89.retail.telecomitalia.it.
 [79.17.142.89])
 by smtp.gmail.com with ESMTPSA id h4sm9321549edv.97.2021.05.10.00.07.59
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 10 May 2021 00:07:59 -0700 (PDT)
From: =?utf-8?Q?Nicol=C3=B2?= Balzarotti <anothersms@HIDDEN>
To: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: Re: julia-1.6 guix
In-Reply-To: <87pmxzfth8.fsf@HIDDEN>
References: <Vkhua8Jivnfp9XkjO-1XFnilmUhHzpbQgvDq90cIwAEuQrlJWk2z3RXMrvh8_6jf5qMeNKyKIizXjeoLZomFBg==@pm.me>
 <87bl9xqx5c.fsf@HIDDEN>
 <hk3Y4V9gjJY5o0stStMA9pP3H3OEcNP9-Sr1cAj6aEpTlsqK-wjNq6qIsu4939joF7uCxaTt_mp0ZZGATif8WQ==@pm.me>
 <bHwSuC9WPaejmL-KWmk5RJk7IR9pQdqrFnvLkGE8ClBZF420yLdR0bymVXhAJHumFlBNcHmwn7AjjAofIbDh2A==@pm.me>
 <FOr3K1_g6fyPlpTTzTRaYRLxXE6iqm-CsT0GqISHU5wmcXuj8wtB-md5hsLGGCgLUOPxLnjLmmkaYlk4BWGUGw==@pm.me>
 <87pmxzfth8.fsf@HIDDEN>
Date: Mon, 10 May 2021 09:07:58 +0200
Message-ID: <87mtt3f4mp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I'll forward here the review I sent you privately. I want
 to add that it built ok. I tried building but julia-benchmarktools and
 julia-staticarrays
 are failing. Version 0.7.0 works fine and should work both on 1.6 (tested)
 and 1.5 (untested) [fn:1] so we should apply it before the julia update. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (anothersms[at]gmail.com)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: nixo.xyz (xyz)]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.218.49 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.218.49 listed in wl.mailspike.net]
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 48325
Cc: 48325 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--=-=-=
Content-Type: text/plain

I'll forward here the review I sent you privately.

I want to add that it built ok.  I tried building but
julia-benchmarktools and julia-staticarrays are failing.

Version 0.7.0 works fine and should work both on 1.6 (tested) and 1.5
(untested) [fn:1] so we should apply it before the julia update.


I tried updating StaticArrays, but the build still fails.  I opened a
bug report here [fn:2].

I attached here the patch, if you can please apply it before yours, apply my
suggestions and send the updated patch

[fn:1] https://github.com/JuliaCI/BenchmarkTools.jl/blob/e058ff249215671c196f2c24a0a3f401de27b718/test/TrialsTests.jl#L217
[fn:2] https://github.com/JuliaArrays/StaticArrays.jl/issues/912



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-gnu-julia-benchmarktools-Update-to-0.7.0.patch

From 1376c9103b315492b123eeea1ffc93f81163a809 Mon Sep 17 00:00:00 2001
From: nixo <nicolo@HIDDEN>
Date: Mon, 10 May 2021 08:55:16 +0200
Subject: [PATCH] gnu: julia-benchmarktools: Update to 0.7.0.

* gnu/packages/julia-xyz.scm (julia-benchmarktools): Update to 0.7.0.
---
 gnu/packages/julia-xyz.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 9812162ce1..04eddbd8b2 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -76,7 +76,7 @@ be GPU compatible without throwing away the wrapper.")
 (define-public julia-benchmarktools
   (package
     (name "julia-benchmarktools")
-    (version "0.5.0")
+    (version "0.7.0")
     (source
      (origin
        (method git-fetch)
@@ -85,7 +85,7 @@ be GPU compatible without throwing away the wrapper.")
              (commit (string-append "v" version))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "0nsx21m3i5h22lkgyrmfj6r085va6ag40khwssqs8y7l0wz98lvp"))))
+        (base32 "000izw9pj7cbh9r35nnwg2ijkb9dpfd5nkl2889b8b2dpsh4fi63"))))
     (build-system julia-build-system)
     (propagated-inputs `(("julia-json" ,julia-json)))
     (home-page "https://github.com/JuliaCI/BenchmarkTools.jl")
-- 
2.31.1


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable



Nicol=C3=B2 Balzarotti <anothersms@HIDDEN> writes:

> seems to be ok (applied fine).  A few notes about the patch
>
> [...]
>>          `(list ;; Taken from NixOS. Only way I could get libLLVM-6.0.so
>> -           "-DCMAKE_BUILD_TYPE=3DRelease"
>> +          "-DCMAKE_BUILD_TYPE=3DRelease"
>> +
>> +          ;; Build a native compiler and the NVPTX backend (NVIDIA) sin=
ce
>> +          ;; Julia insists on it, nothing more.  This reduces build tim=
es and
>> +          ;; disk usage.
>> +          ,(string-append "-DLLVM_TARGETS_TO_BUILD=3D" (system->llvm-ta=
rget))
>> +          "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=3DNVPTX"
>>=20=20
>> -           ;; Build a native compiler and the NVPTX backend (NVIDIA) si=
nce
>> -           ;; Julia insists on it, nothing more.  This reduces build ti=
mes and
>> -           ;; disk usage.
>> -           ,(string-append "-DLLVM_TARGETS_TO_BUILD=3D" (system->llvm-t=
arget))
>> -           "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=3DNVPTX"
> Here it's difficult to see if there are changes, you should undo the
> indent edit.  If indentation is wrong, it should be fixed in a separate c=
ommit.
>
>> +          ;; "-DLLVM_HOST_TRIPLE=3D${stdenv.hostPlatform.config}"
>> +          ;; "-DLLVM_DEFAULT_TARGET_TRIPLE=3D${stdenv.hostPlatform.conf=
ig}"
>> +          ;; "-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=3DWebAssembly"
> Those seems to be taken from nixos, but is there a reason why are those
> commented?
>
>> +                        (invoke "patch" flag "-i" (string-append
>> "julia-src/deps/patches/" patchname ".patch")))))
> Line too long
>
>> +                 (mkdir-p "julia-src")
>> +                 (invoke "tar" "xf" (assoc-ref inputs "julia-source")
>> "-C" "julia-src" "--strip-components=3D1")
> DITTO
>
>> +                 (map (lambda (patchname)
>> +                        (patch patchname "-p1")) (list
>> "llvm-D27629-AArch64-large_model_6.0.1"
> Here we can slpit the line before (list
>
>>=20=20
>> -           "-DLLVM_LINK_LLVM_DYLIB=3DON"))))))
>> +                 #t)))))))
> Returning #t should not be needed anymore
>
>> +    (inputs
>> +     `(("julia-source" ,(package-source julia))
>> +       ,@(package-inputs llvm-11)))))
>>=20=20
>> -                                         "suitesparse"))
>> +                                         "suitesparse" "libfortran"))
>>                                    ":"))
>>               #t))
> We can remove this #t now
>
>> +                      (string-append "stdlib/" pkgname "_jll/src/"
>> pkgname "_jll.jl")))
> Long line
>> +           (lambda* (#:key inputs #:allow-other-keys)
>> +             ;; some tests execute julia in an environment that needs
>> to propagate GUIX_LOCPATH
> Good catch, I was wondering which ENV variable was needed
>
>> +             (substitute* "test/cmdlineargs.jl"
>> +               (("\"HOME\"\\s=3D>\\shomedir\\(\\)") "\"HOME\" =3D>
>> homedir(), \"GUIX_LOCPATH\" =3D> ENV[\"GUIX_LOCPATH\"]"))
>>               #t))
> again, long line and #t
>> +         (add-before 'install 'symlink-libraries ;; FIXME change
>> build to install
> What does this comment refer to?
>>          (string-append "prefix=3D" (assoc-ref %outputs "out"))
>>=20=20
>> -         ;; Passing the MARCH flag is necessary to build binary substit=
utes for
>> -         ;; the supported architectures.
>> -         ,(match (or (%current-target-system)
>> -                     (%current-system))
>> -                 ("x86_64-linux" "MARCH=3Dx86-64")
>> -                 ("i686-linux" "MARCH=3Dpentium4")
>> -                 ("aarch64-linux" "MARCH=3Darmv8-a")
>> -                 ;; Prevent errors when querying this package on unsupp=
orted
>> -                 ;; platforms, e.g. when running "guix package --search=
=3D"
>> -                 (_ "MARCH=3DUNSUPPORTED"))
>> +        ;; Passing the MARCH flag is necessary to build binary substitu=
tes for
>> +        ;; the supported architectures.
>> +        ,(match (or (%current-target-system)
>> +                    (%current-system))
>> +           ("x86_64-linux" "MARCH=3Dx86-64")
>> +           ("i686-linux" "MARCH=3Dpentium4")
>> +           ("aarch64-linux" "MARCH=3Darmv8-a")
>> +           ;; Prevent errors when querying this package on unsupported
>> +           ;; platforms, e.g. when running "guix package --search=3D"
>> +           (_ "MARCH=3DUNSUPPORTED"))
>>
> Again the indentation stuff
>
>

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 May 2021 00:42:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 09 20:42:23 2021
Received: from localhost ([127.0.0.1]:56818 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lfu04-00024d-Od
	for submit <at> debbugs.gnu.org; Sun, 09 May 2021 20:42:23 -0400
Received: from lists.gnu.org ([209.51.188.17]:50610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jbv@HIDDEN>) id 1lfrNd-0004BS-Ef
 for submit <at> debbugs.gnu.org; Sun, 09 May 2021 17:54:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46682)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jbv@HIDDEN>) id 1lfrNc-0005Ms-Si
 for guix-patches@HIDDEN; Sun, 09 May 2021 17:54:29 -0400
Received: from mail-40131.protonmail.ch ([185.70.40.131]:29110)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jbv@HIDDEN>) id 1lfrNW-000252-FI
 for guix-patches@HIDDEN; Sun, 09 May 2021 17:54:27 -0400
Date: Sun, 09 May 2021 21:53:57 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=pm.me; s=protonmail;
 t=1620597253; bh=ai6+QyDRcPJbaiMLdiz3oCn+KuX3rJFOXsf1OoBbOq4=;
 h=Date:To:From:Reply-To:Subject:From;
 b=dmydWR0nmDALBrZVq+H1t8iB+45/9pqJi/YVZouOopgdbsksWDE9Aq4MU4YdSJCCv
 /TM6mEcj9PzllAhtNhy1WNEXAO4Fe33U6uPxrSV1fUekDlzImwRXJBpz3B1OYodlcs
 UL59TN3I8+IysH4OCXbxiJJ6FozwDFBa95dldMENipHPJZcj4sL8dm0Q2Su67GhDaY
 02P6mBxNZa2bkNyLjjWpw/Ed6oNIfaWS8D/AjloHYmOi6Xx8nLud9iChIewJtkuhxu
 UCYvSZibeEbK5UOmaKclBu2+982DA1URYexbdLAVDnNLkoNjy82HnPTxAP8FixNgIM
 F0SAUd8/ptmUA==
To: "guix-patches@HIDDEN" <guix-patches@HIDDEN>
From: Jean-Baptiste Volatier <jbv@HIDDEN>
Subject: update of julia to 1.6.1
Message-ID: <To5xE-KO2rEvaVw0ua4LA3k6uVXhNaulSKlW2xy7nOSNwVGMK4RrOGWJegbXwRTec-5cGikmOmq2vn8Brx7aEA==@pm.me>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="b1_ZmXgDWeEqgsOeGSiITdUbP7Bt8EWyHa0Z95905AL5w"
X-Spam-Status: No, score=0.8 required=10.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,PDS_OTHER_BAD_TLD
 shortcircuit=no autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on
 mailout.protonmail.ch
Received-SPF: pass client-ip=185.70.40.131; envelope-from=jbv@HIDDEN;
 helo=mail-40131.protonmail.ch
X-Spam_score_int: -7
X-Spam_score: -0.8
X-Spam_bar: /
X-Spam_report: (-0.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 PDS_OTHER_BAD_TLD=1.997, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=-0.01,
 RCVD_IN_MSPIKE_WL=-0.01, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.6 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 09 May 2021 20:42:19 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jean-Baptiste Volatier <jbv@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.4 (/)

This is a multi-part message in MIME format.

--b1_ZmXgDWeEqgsOeGSiITdUbP7Bt8EWyHa0Z95905AL5w
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi !
I would like to submit this patch to update julia to 1.6.1.
Best regards,
JB.
--b1_ZmXgDWeEqgsOeGSiITdUbP7Bt8EWyHa0Z95905AL5w
Content-Type: text/x-patch; name=julia.patch
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=julia.patch
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--b1_ZmXgDWeEqgsOeGSiITdUbP7Bt8EWyHa0Z95905AL5w--





Acknowledgement sent to Jean-Baptiste Volatier <jbv@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48325; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 6 Jun 2021 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.